# ncurses 5.9 - patch  - Thomas E. Dickey
#
# ------------------------------------------------------------------------------
#
# Ncurses 5.9 is at
# 	ftp.gnu.org:/pub/gnu
#
# Patches for ncurses 5.9 are in the subdirectory
# 	ftp://invisible-island.net/ncurses/5.9
#
# ------------------------------------------------------------------------------
# ftp://invisible-island.net/ncurses/5.9/ncurses-5.9-20140802.patch.gz
# patch by Thomas E. Dickey <dickey@invisible-island.net>
# created  Sun Aug  3 01:14:25 UTC 2014
# ------------------------------------------------------------------------------
# Ada95/aclocal.m4                 |   13 
# Ada95/configure                  |   99 +-
# Ada95/configure.in               |    6 
# Ada95/src/Makefile.in            |    4 
# NEWS                             |   14 
# aclocal.m4                       |   13 
# configure                        | 1482 ++++++++++++++++++-------------------
# configure.in                     |    7 
# dist.mk                          |    4 
# include/curses.h.in              |    4 
# include/ncurses_dll.h.in         |   20 
# package/debian-mingw/changelog   |    4 
# package/debian-mingw64/changelog |    4 
# package/debian/changelog         |    4 
# package/mingw-ncurses.nsi        |    4 
# package/mingw-ncurses.spec       |    2 
# package/ncurses.spec             |    2 
# test/Makefile.in                 |    4 
# test/clip_printw.c               |    6 
# test/demo_forms.c                |    6 
# test/demo_menus.c                |    6 
# test/demo_panels.c               |    6 
# test/firework.c                  |   16 
# test/form_driver_w.c             |    4 
# test/gdc.c                       |    8 
# test/hanoi.c                     |    6 
# test/ins_wide.c                  |    8 
# test/insdelln.c                  |    8 
# test/key_names.c                 |    6 
# test/ncurses.c                   |   30 
# test/newdemo.c                   |    6 
# test/rain.c                      |    9 
# test/tclock.c                    |    8 
# test/test.priv.h                 |   11 
# test/test_add_wchstr.c           |   10 
# test/test_addwstr.c              |    8 
# test/testaddch.c                 |    6 
# 37 files changed, 975 insertions(+), 883 deletions(-)
# ------------------------------------------------------------------------------
Index: Ada95/aclocal.m4
Prereq:  1.90 
--- ncurses-5.9-20140726+/Ada95/aclocal.m4	2014-07-26 22:58:13.000000000 +0000
+++ ncurses-5.9-20140802/Ada95/aclocal.m4	2014-08-02 22:40:45.000000000 +0000
@@ -28,7 +28,7 @@
 dnl
 dnl Author: Thomas E. Dickey
 dnl
-dnl $Id: aclocal.m4,v 1.90 2014/07/26 22:58:13 tom Exp $
+dnl $Id: aclocal.m4,v 1.91 2014/08/02 22:40:45 tom Exp $
 dnl Macros used in NCURSES Ada95 auto-configuration script.
 dnl
 dnl These macros are maintained separately from NCURSES.  The copyright on
@@ -1206,6 +1206,17 @@
 AC_SUBST(EXTRA_CFLAGS)
 ])dnl
 dnl ---------------------------------------------------------------------------
+dnl CF_GNATPREP_OPT_T version: 1 updated: 2014/08/02 18:37:25
+dnl -----------------
+AC_DEFUN([CF_GNATPREP_OPT_T],[
+AC_CACHE_CHECK(if GNATPREP supports -T option,cf_cv_gnatprep_opt_t,[
+cf_cv_gnatprep_opt_t=no
+gnatprep -T 2>/dev/null >/dev/null && cf_cv_gnatprep_opt_t=yes
+])
+test "$cf_cv_gnatprep_opt_t" = yes && GNATPREP_OPTS="-T $GNATPREP_OPTS"
+AC_SUBST(GNATPREP_OPTS)
+])dnl
+dnl ---------------------------------------------------------------------------
 dnl CF_GNAT_GENERICS version: 2 updated: 2011/03/23 20:24:41
 dnl ----------------
 AC_DEFUN([CF_GNAT_GENERICS],
Index: Ada95/configure
--- ncurses-5.9-20140726+/Ada95/configure	2014-07-26 22:58:43.000000000 +0000
+++ ncurses-5.9-20140802/Ada95/configure	2014-08-02 22:41:12.000000000 +0000
@@ -1,5 +1,5 @@
 #! /bin/sh
-# From configure.in Revision: 1.55 .
+# From configure.in Revision: 1.56 .
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by Autoconf 2.52.20121002.
 #
@@ -11606,7 +11606,21 @@
 	echo "$as_me:11606: result: $ADAFLAGS" >&5
 echo "${ECHO_T}$ADAFLAGS" >&6
 
-echo "$as_me:11609: checking if GNAT supports generics" >&5
+echo "$as_me:11609: checking if GNATPREP supports -T option" >&5
+echo $ECHO_N "checking if GNATPREP supports -T option... $ECHO_C" >&6
+if test "${cf_cv_gnatprep_opt_t+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+
+cf_cv_gnatprep_opt_t=no
+gnatprep -T 2>/dev/null >/dev/null && cf_cv_gnatprep_opt_t=yes
+
+fi
+echo "$as_me:11619: result: $cf_cv_gnatprep_opt_t" >&5
+echo "${ECHO_T}$cf_cv_gnatprep_opt_t" >&6
+test "$cf_cv_gnatprep_opt_t" = yes && GNATPREP_OPTS="-T $GNATPREP_OPTS"
+
+echo "$as_me:11623: checking if GNAT supports generics" >&5
 echo $ECHO_N "checking if GNAT supports generics... $ECHO_C" >&6
 case $cf_gnat_version in #(vi
 3.[1-9]*|[4-9].*) #(vi
@@ -11616,7 +11630,7 @@
 	cf_gnat_generics=no
 	;;
 esac
-echo "$as_me:11619: result: $cf_gnat_generics" >&5
+echo "$as_me:11633: result: $cf_gnat_generics" >&5
 echo "${ECHO_T}$cf_gnat_generics" >&6
 
 if test "$cf_gnat_generics" = yes
@@ -11628,7 +11642,7 @@
 	cf_generic_objects=
 fi
 
-echo "$as_me:11631: checking if GNAT supports SIGINT" >&5
+echo "$as_me:11645: checking if GNAT supports SIGINT" >&5
 echo $ECHO_N "checking if GNAT supports SIGINT... $ECHO_C" >&6
 if test "${cf_cv_gnat_sigint+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -11676,7 +11690,7 @@
 rm -rf conftest* *~conftest*
 
 fi
-echo "$as_me:11679: result: $cf_cv_gnat_sigint" >&5
+echo "$as_me:11693: result: $cf_cv_gnat_sigint" >&5
 echo "${ECHO_T}$cf_cv_gnat_sigint" >&6
 
 if test $cf_cv_gnat_sigint = yes ; then
@@ -11689,7 +11703,7 @@
 cf_gnat_projects=no
 
 if test "$enable_gnat_projects" != no ; then
-echo "$as_me:11692: checking if GNAT supports project files" >&5
+echo "$as_me:11706: checking if GNAT supports project files" >&5
 echo $ECHO_N "checking if GNAT supports project files... $ECHO_C" >&6
 case $cf_gnat_version in #(vi
 3.[0-9]*) #(vi
@@ -11749,15 +11763,15 @@
 	esac
 	;;
 esac
-echo "$as_me:11752: result: $cf_gnat_projects" >&5
+echo "$as_me:11766: result: $cf_gnat_projects" >&5
 echo "${ECHO_T}$cf_gnat_projects" >&6
 fi # enable_gnat_projects
 
 if test $cf_gnat_projects = yes
 then
-	echo "$as_me:11758: checking if GNAT supports libraries" >&5
+	echo "$as_me:11772: checking if GNAT supports libraries" >&5
 echo $ECHO_N "checking if GNAT supports libraries... $ECHO_C" >&6
-	echo "$as_me:11760: result: $cf_gnat_libraries" >&5
+	echo "$as_me:11774: result: $cf_gnat_libraries" >&5
 echo "${ECHO_T}$cf_gnat_libraries" >&6
 fi
 
@@ -11777,7 +11791,7 @@
 	USE_GNAT_LIBRARIES="#"
 fi
 
-echo "$as_me:11780: checking for ada-compiler" >&5
+echo "$as_me:11794: checking for ada-compiler" >&5
 echo $ECHO_N "checking for ada-compiler... $ECHO_C" >&6
 
 # Check whether --with-ada-compiler or --without-ada-compiler was given.
@@ -11788,12 +11802,12 @@
   cf_ada_compiler=gnatmake
 fi;
 
-echo "$as_me:11791: result: $cf_ada_compiler" >&5
+echo "$as_me:11805: result: $cf_ada_compiler" >&5
 echo "${ECHO_T}$cf_ada_compiler" >&6
 
 		cf_ada_package=terminal_interface
 
-echo "$as_me:11796: checking for ada-include" >&5
+echo "$as_me:11810: checking for ada-include" >&5
 echo $ECHO_N "checking for ada-include... $ECHO_C" >&6
 
 # Check whether --with-ada-include or --without-ada-include was given.
@@ -11829,7 +11843,7 @@
   withval=`echo $withval | sed -e s%NONE%$cf_path_syntax%`
   ;;
 *)
-  { { echo "$as_me:11832: error: expected a pathname, not \"$withval\"" >&5
+  { { echo "$as_me:11846: error: expected a pathname, not \"$withval\"" >&5
 echo "$as_me: error: expected a pathname, not \"$withval\"" >&2;}
    { (exit 1); exit 1; }; }
   ;;
@@ -11838,10 +11852,10 @@
 fi
 eval ADA_INCLUDE="$withval"
 
-echo "$as_me:11841: result: $ADA_INCLUDE" >&5
+echo "$as_me:11855: result: $ADA_INCLUDE" >&5
 echo "${ECHO_T}$ADA_INCLUDE" >&6
 
-echo "$as_me:11844: checking for ada-objects" >&5
+echo "$as_me:11858: checking for ada-objects" >&5
 echo $ECHO_N "checking for ada-objects... $ECHO_C" >&6
 
 # Check whether --with-ada-objects or --without-ada-objects was given.
@@ -11877,7 +11891,7 @@
   withval=`echo $withval | sed -e s%NONE%$cf_path_syntax%`
   ;;
 *)
-  { { echo "$as_me:11880: error: expected a pathname, not \"$withval\"" >&5
+  { { echo "$as_me:11894: error: expected a pathname, not \"$withval\"" >&5
 echo "$as_me: error: expected a pathname, not \"$withval\"" >&2;}
    { (exit 1); exit 1; }; }
   ;;
@@ -11886,10 +11900,10 @@
 fi
 eval ADA_OBJECTS="$withval"
 
-echo "$as_me:11889: result: $ADA_OBJECTS" >&5
+echo "$as_me:11903: result: $ADA_OBJECTS" >&5
 echo "${ECHO_T}$ADA_OBJECTS" >&6
 
-echo "$as_me:11892: checking if an Ada95 shared-library should be built" >&5
+echo "$as_me:11906: checking if an Ada95 shared-library should be built" >&5
 echo $ECHO_N "checking if an Ada95 shared-library should be built... $ECHO_C" >&6
 
 # Check whether --with-ada-sharedlib or --without-ada-sharedlib was given.
@@ -11899,7 +11913,7 @@
 else
   with_ada_sharedlib=no
 fi;
-echo "$as_me:11902: result: $with_ada_sharedlib" >&5
+echo "$as_me:11916: result: $with_ada_sharedlib" >&5
 echo "${ECHO_T}$with_ada_sharedlib" >&6
 
 ADA_SHAREDLIB='lib$(LIB_NAME).so.1'
@@ -11915,12 +11929,12 @@
 fi
 
 	else
-		{ { echo "$as_me:11918: error: No usable Ada compiler found" >&5
+		{ { echo "$as_me:11932: error: No usable Ada compiler found" >&5
 echo "$as_me: error: No usable Ada compiler found" >&2;}
    { (exit 1); exit 1; }; }
 	fi
 else
-	{ { echo "$as_me:11923: error: The Ada compiler is needed for this package" >&5
+	{ { echo "$as_me:11937: error: The Ada compiler is needed for this package" >&5
 echo "$as_me: error: The Ada compiler is needed for this package" >&2;}
    { (exit 1); exit 1; }; }
 fi
@@ -11971,7 +11985,7 @@
 fi
 
 ### Build up pieces for makefile rules
-echo "$as_me:11974: checking default library suffix" >&5
+echo "$as_me:11988: checking default library suffix" >&5
 echo $ECHO_N "checking default library suffix... $ECHO_C" >&6
 
 	case $DFT_LWR_MODEL in
@@ -11982,10 +11996,10 @@
 	shared)  DFT_ARG_SUFFIX=''   ;;
 	esac
 	test -n "$LIB_SUFFIX" && DFT_ARG_SUFFIX="${LIB_SUFFIX}${DFT_ARG_SUFFIX}"
-echo "$as_me:11985: result: $DFT_ARG_SUFFIX" >&5
+echo "$as_me:11999: result: $DFT_ARG_SUFFIX" >&5
 echo "${ECHO_T}$DFT_ARG_SUFFIX" >&6
 
-echo "$as_me:11988: checking default library-dependency suffix" >&5
+echo "$as_me:12002: checking default library-dependency suffix" >&5
 echo $ECHO_N "checking default library-dependency suffix... $ECHO_C" >&6
 
 	case X$DFT_LWR_MODEL in #(vi
@@ -12040,10 +12054,10 @@
 	esac
 	test -n "$LIB_SUFFIX" && DFT_LIB_SUFFIX="${LIB_SUFFIX}${DFT_LIB_SUFFIX}"
 	test -n "$LIB_SUFFIX" && DFT_DEP_SUFFIX="${LIB_SUFFIX}${DFT_DEP_SUFFIX}"
-echo "$as_me:12043: result: $DFT_DEP_SUFFIX" >&5
+echo "$as_me:12057: result: $DFT_DEP_SUFFIX" >&5
 echo "${ECHO_T}$DFT_DEP_SUFFIX" >&6
 
-echo "$as_me:12046: checking default object directory" >&5
+echo "$as_me:12060: checking default object directory" >&5
 echo $ECHO_N "checking default object directory... $ECHO_C" >&6
 
 	case $DFT_LWR_MODEL in
@@ -12059,7 +12073,7 @@
 			DFT_OBJ_SUBDIR='obj_s' ;;
 		esac
 	esac
-echo "$as_me:12062: result: $DFT_OBJ_SUBDIR" >&5
+echo "$as_me:12076: result: $DFT_OBJ_SUBDIR" >&5
 echo "${ECHO_T}$DFT_OBJ_SUBDIR" >&6
 
 ### Set up low-level terminfo dependencies for makefiles.
@@ -12269,7 +12283,7 @@
 : ${CONFIG_STATUS=./config.status}
 ac_clean_files_save=$ac_clean_files
 ac_clean_files="$ac_clean_files $CONFIG_STATUS"
-{ echo "$as_me:12272: creating $CONFIG_STATUS" >&5
+{ echo "$as_me:12286: creating $CONFIG_STATUS" >&5
 echo "$as_me: creating $CONFIG_STATUS" >&6;}
 cat >$CONFIG_STATUS <<_ACEOF
 #! $SHELL
@@ -12445,7 +12459,7 @@
     echo "$ac_cs_version"; exit 0 ;;
   --he | --h)
     # Conflict between --help and --header
-    { { echo "$as_me:12448: error: ambiguous option: $1
+    { { echo "$as_me:12462: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -12464,7 +12478,7 @@
     ac_need_defaults=false;;
 
   # This is an error.
-  -*) { { echo "$as_me:12467: error: unrecognized option: $1
+  -*) { { echo "$as_me:12481: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -12535,7 +12549,7 @@
   "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
   "default" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default" ;;
   "include/ncurses_cfg.h" ) CONFIG_HEADERS="$CONFIG_HEADERS include/ncurses_cfg.h:include/ncurses_cfg.hin" ;;
-  *) { { echo "$as_me:12538: error: invalid argument: $ac_config_target" >&5
+  *) { { echo "$as_me:12552: error: invalid argument: $ac_config_target" >&5
 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
    { (exit 1); exit 1; }; };;
   esac
@@ -12718,6 +12732,7 @@
 s,@gnat_exists@,$gnat_exists,;t t
 s,@M4_exists@,$M4_exists,;t t
 s,@cf_ada_make@,$cf_ada_make,;t t
+s,@GNATPREP_OPTS@,$GNATPREP_OPTS,;t t
 s,@cf_compile_generics@,$cf_compile_generics,;t t
 s,@cf_generic_objects@,$cf_generic_objects,;t t
 s,@USE_GNAT_SIGINT@,$USE_GNAT_SIGINT,;t t
@@ -12857,7 +12872,7 @@
   esac
 
   if test x"$ac_file" != x-; then
-    { echo "$as_me:12860: creating $ac_file" >&5
+    { echo "$as_me:12875: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
     rm -f "$ac_file"
   fi
@@ -12875,7 +12890,7 @@
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:12878: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:12893: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -12888,7 +12903,7 @@
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:12891: error: cannot find input file: $f" >&5
+           { { echo "$as_me:12906: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -12904,7 +12919,7 @@
       if test -n "$ac_seen"; then
         ac_used=`grep '@datarootdir@' $ac_item`
         if test -z "$ac_used"; then
-          { echo "$as_me:12907: WARNING: datarootdir was used implicitly but not set:
+          { echo "$as_me:12922: WARNING: datarootdir was used implicitly but not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: datarootdir was used implicitly but not set:
 $ac_seen" >&2;}
@@ -12913,7 +12928,7 @@
       fi
       ac_seen=`grep '${datarootdir}' $ac_item`
       if test -n "$ac_seen"; then
-        { echo "$as_me:12916: WARNING: datarootdir was used explicitly but not set:
+        { echo "$as_me:12931: WARNING: datarootdir was used explicitly but not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: datarootdir was used explicitly but not set:
 $ac_seen" >&2;}
@@ -12950,7 +12965,7 @@
             ac_init=`egrep '[ 	]*'$ac_name'[ 	]*=' $ac_file`
             if test -z "$ac_init"; then
               ac_seen=`echo "$ac_seen" |sed -e 's,^,'$ac_file':,'`
-              { echo "$as_me:12953: WARNING: Variable $ac_name is used but was not set:
+              { echo "$as_me:12968: WARNING: Variable $ac_name is used but was not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: Variable $ac_name is used but was not set:
 $ac_seen" >&2;}
@@ -12961,7 +12976,7 @@
     egrep -n '@[A-Z_][A-Z_0-9]+@' $ac_file >>$tmp/out
     if test -s $tmp/out; then
       ac_seen=`sed -e 's,^,'$ac_file':,' < $tmp/out`
-      { echo "$as_me:12964: WARNING: Some variables may not be substituted:
+      { echo "$as_me:12979: WARNING: Some variables may not be substituted:
 $ac_seen" >&5
 echo "$as_me: WARNING: Some variables may not be substituted:
 $ac_seen" >&2;}
@@ -13010,7 +13025,7 @@
   * )   ac_file_in=$ac_file.in ;;
   esac
 
-  test x"$ac_file" != x- && { echo "$as_me:13013: creating $ac_file" >&5
+  test x"$ac_file" != x- && { echo "$as_me:13028: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
 
   # First look for the input files in the build tree, otherwise in the
@@ -13021,7 +13036,7 @@
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:13024: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:13039: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -13034,7 +13049,7 @@
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:13037: error: cannot find input file: $f" >&5
+           { { echo "$as_me:13052: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -13092,7 +13107,7 @@
   rm -f $tmp/in
   if test x"$ac_file" != x-; then
     if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
-      { echo "$as_me:13095: $ac_file is unchanged" >&5
+      { echo "$as_me:13110: $ac_file is unchanged" >&5
 echo "$as_me: $ac_file is unchanged" >&6;}
     else
       ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
Index: Ada95/configure.in
Prereq:  1.55 
--- ncurses-5.9-20140726+/Ada95/configure.in	2014-06-01 16:40:55.000000000 +0000
+++ ncurses-5.9-20140802/Ada95/configure.in	2014-08-02 20:29:22.000000000 +0000
@@ -28,14 +28,14 @@
 dnl
 dnl Author: Thomas E. Dickey
 dnl
-dnl $Id: configure.in,v 1.55 2014/06/01 16:40:55 tom Exp $
+dnl $Id: configure.in,v 1.56 2014/08/02 20:29:22 tom Exp $
 dnl Process this file with autoconf to produce a configure script.
 dnl
 dnl See http://invisible-island.net/autoconf/ for additional information.
 dnl
 dnl ---------------------------------------------------------------------------
 AC_PREREQ(2.52.20030208)
-AC_REVISION($Revision: 1.55 $)
+AC_REVISION($Revision: 1.56 $)
 AC_INIT(gen/gen.c)
 AC_CONFIG_HEADER(include/ncurses_cfg.h:include/ncurses_cfg.hin)
 
@@ -477,6 +477,8 @@
 	if test	"$cf_cv_prog_gnat_correct" = yes; then
 		CF_FIXUP_ADAFLAGS
 
+		CF_GNATPREP_OPT_T
+
 		CF_GNAT_GENERICS
 		CF_GNAT_SIGINT
 		CF_GNAT_PROJECTS
Index: Ada95/src/Makefile.in
Prereq:  1.69 
--- ncurses-5.9-20140726+/Ada95/src/Makefile.in	2014-06-01 00:10:58.000000000 +0000
+++ ncurses-5.9-20140802/Ada95/src/Makefile.in	2014-08-02 20:31:47.000000000 +0000
@@ -28,7 +28,7 @@
 #
 #  Author:  Juergen Pfeifer, 1996
 #
-#  $Id: Makefile.in,v 1.69 2014/06/01 00:10:58 tom Exp $
+#  $Id: Makefile.in,v 1.70 2014/08/02 20:31:47 tom Exp $
 #
 .SUFFIXES:
 
@@ -215,7 +215,7 @@
 
 $(ABASE)-trace.adb : $(srcdir)/$(ABASE)-trace.adb_p
 	rm -f $@
-	$(ADAPREP) -DADA_TRACE=@ADA_TRACE@ $(srcdir)/$(ABASE)-trace.adb_p $@
+	$(ADAPREP) -DADA_TRACE=@ADA_TRACE@ @GNATPREP_OPTS@ $(srcdir)/$(ABASE)-trace.adb_p $@
 
 ###############################################################################
 # Use these definitions when building a shared library.
Index: NEWS
Prereq:  1.2246 
--- ncurses-5.9-20140726+/NEWS	2014-07-26 22:50:27.000000000 +0000
+++ ncurses-5.9-20140802/NEWS	2014-08-02 20:51:48.000000000 +0000
@@ -25,7 +25,7 @@
 -- sale, use or other dealings in this Software without prior written        --
 -- authorization.                                                            --
 -------------------------------------------------------------------------------
--- $Id: NEWS,v 1.2246 2014/07/26 22:50:27 tom Exp $
+-- $Id: NEWS,v 1.2250 2014/08/02 20:51:48 tom Exp $
 -------------------------------------------------------------------------------
 
 This is a log of changes that ncurses has gone through since Zeyd started
@@ -45,6 +45,18 @@
 Changes through 1.9.9e did not credit all contributions;
 it is not possible to add this information.
 
+20140802
+	+ minor portability fixes for MinGW:
+	  + ensure WINVER is defined in makefiles rather than using headers
+	  + add check for gnatprep "-T" option
+	  + work around bug introduced by gcc 4.8.1 in MinGW which breaks
+	    "trace" feature:
+	    http://stackoverflow.com/questions/20877689/gcc-4-8-1-minggw-d-option-does-not-work-as-usual
+	+ fix most compiler warnings for Cygwin ncurses-examples.
+	+ restore "redundant" -I options in test/Makefile.in, since they are
+	  typically needed when building the derived ncurses-examples package
+	  (cf: 20140726).
+
 20140726
 	+ eliminate some redundant -I options used for building libraries, and
 	  ensure that ${srcdir} is added to the include-options (prompted by
Index: aclocal.m4
Prereq:  1.704 
--- ncurses-5.9-20140726+/aclocal.m4	2014-07-26 22:56:21.000000000 +0000
+++ ncurses-5.9-20140802/aclocal.m4	2014-08-02 22:38:39.000000000 +0000
@@ -28,7 +28,7 @@
 dnl
 dnl Author: Thomas E. Dickey 1995-on
 dnl
-dnl $Id: aclocal.m4,v 1.704 2014/07/26 22:56:21 tom Exp $
+dnl $Id: aclocal.m4,v 1.706 2014/08/02 22:38:39 tom Exp $
 dnl Macros used in NCURSES auto-configuration script.
 dnl
 dnl These macros are maintained separately from NCURSES.  The copyright on
@@ -2152,6 +2152,17 @@
 fi
 ])dnl
 dnl ---------------------------------------------------------------------------
+dnl CF_GNATPREP_OPT_T version: 1 updated: 2014/08/02 18:37:25
+dnl -----------------
+AC_DEFUN([CF_GNATPREP_OPT_T],[
+AC_CACHE_CHECK(if GNATPREP supports -T option,cf_cv_gnatprep_opt_t,[
+cf_cv_gnatprep_opt_t=no
+gnatprep -T 2>/dev/null >/dev/null && cf_cv_gnatprep_opt_t=yes
+])
+test "$cf_cv_gnatprep_opt_t" = yes && GNATPREP_OPTS="-T $GNATPREP_OPTS"
+AC_SUBST(GNATPREP_OPTS)
+])dnl
+dnl ---------------------------------------------------------------------------
 dnl CF_GNAT_GENERICS version: 2 updated: 2011/03/23 20:24:41
 dnl ----------------
 AC_DEFUN([CF_GNAT_GENERICS],
Index: configure
--- ncurses-5.9-20140726+/configure	2014-07-26 22:56:39.000000000 +0000
+++ ncurses-5.9-20140802/configure	2014-08-02 22:39:03.000000000 +0000
@@ -1,5 +1,5 @@
 #! /bin/sh
-# From configure.in Revision: 1.582 .
+# From configure.in Revision: 1.583 .
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by Autoconf 2.52.20121002.
 #
@@ -13832,16 +13832,17 @@
 ###	Checks for libraries.
 case $cf_cv_system_name in #(vi
 *mingw32*) #(vi
+	CPPFLAGS="$CPPFLAGS -DWINVER=0x0501"
 	LIBS=" -lpsapi $LIBS"
 	;;
 *)
-echo "$as_me:13838: checking for gettimeofday" >&5
+echo "$as_me:13839: checking for gettimeofday" >&5
 echo $ECHO_N "checking for gettimeofday... $ECHO_C" >&6
 if test "${ac_cv_func_gettimeofday+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 13844 "configure"
+#line 13845 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char gettimeofday (); below.  */
@@ -13872,16 +13873,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:13875: \"$ac_link\"") >&5
+if { (eval echo "$as_me:13876: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:13878: \$? = $ac_status" >&5
+  echo "$as_me:13879: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:13881: \"$ac_try\"") >&5
+  { (eval echo "$as_me:13882: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:13884: \$? = $ac_status" >&5
+  echo "$as_me:13885: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_func_gettimeofday=yes
 else
@@ -13891,7 +13892,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:13894: result: $ac_cv_func_gettimeofday" >&5
+echo "$as_me:13895: result: $ac_cv_func_gettimeofday" >&5
 echo "${ECHO_T}$ac_cv_func_gettimeofday" >&6
 if test $ac_cv_func_gettimeofday = yes; then
 
@@ -13901,7 +13902,7 @@
 
 else
 
-echo "$as_me:13904: checking for gettimeofday in -lbsd" >&5
+echo "$as_me:13905: checking for gettimeofday in -lbsd" >&5
 echo $ECHO_N "checking for gettimeofday in -lbsd... $ECHO_C" >&6
 if test "${ac_cv_lib_bsd_gettimeofday+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -13909,7 +13910,7 @@
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-lbsd  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 13912 "configure"
+#line 13913 "configure"
 #include "confdefs.h"
 
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -13928,16 +13929,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:13931: \"$ac_link\"") >&5
+if { (eval echo "$as_me:13932: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:13934: \$? = $ac_status" >&5
+  echo "$as_me:13935: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:13937: \"$ac_try\"") >&5
+  { (eval echo "$as_me:13938: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:13940: \$? = $ac_status" >&5
+  echo "$as_me:13941: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_bsd_gettimeofday=yes
 else
@@ -13948,7 +13949,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:13951: result: $ac_cv_lib_bsd_gettimeofday" >&5
+echo "$as_me:13952: result: $ac_cv_lib_bsd_gettimeofday" >&5
 echo "${ECHO_T}$ac_cv_lib_bsd_gettimeofday" >&6
 if test $ac_cv_lib_bsd_gettimeofday = yes; then
 
@@ -13978,14 +13979,14 @@
 	;;
 esac
 
-echo "$as_me:13981: checking if -lm needed for math functions" >&5
+echo "$as_me:13982: checking if -lm needed for math functions" >&5
 echo $ECHO_N "checking if -lm needed for math functions... $ECHO_C" >&6
 if test "${cf_cv_need_libm+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 13988 "configure"
+#line 13989 "configure"
 #include "confdefs.h"
 
 	#include <stdio.h>
@@ -14000,16 +14001,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:14003: \"$ac_link\"") >&5
+if { (eval echo "$as_me:14004: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:14006: \$? = $ac_status" >&5
+  echo "$as_me:14007: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:14009: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14010: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14012: \$? = $ac_status" >&5
+  echo "$as_me:14013: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_need_libm=no
 else
@@ -14019,7 +14020,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:14022: result: $cf_cv_need_libm" >&5
+echo "$as_me:14023: result: $cf_cv_need_libm" >&5
 echo "${ECHO_T}$cf_cv_need_libm" >&6
 if test "$cf_cv_need_libm" = yes
 then
@@ -14027,13 +14028,13 @@
 fi
 
 ###	Checks for header files.
-echo "$as_me:14030: checking for ANSI C header files" >&5
+echo "$as_me:14031: checking for ANSI C header files" >&5
 echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
 if test "${ac_cv_header_stdc+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 14036 "configure"
+#line 14037 "configure"
 #include "confdefs.h"
 #include <stdlib.h>
 #include <stdarg.h>
@@ -14041,13 +14042,13 @@
 #include <float.h>
 
 _ACEOF
-if { (eval echo "$as_me:14044: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:14045: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:14050: \$? = $ac_status" >&5
+  echo "$as_me:14051: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -14069,7 +14070,7 @@
 if test $ac_cv_header_stdc = yes; then
   # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
   cat >conftest.$ac_ext <<_ACEOF
-#line 14072 "configure"
+#line 14073 "configure"
 #include "confdefs.h"
 #include <string.h>
 
@@ -14087,7 +14088,7 @@
 if test $ac_cv_header_stdc = yes; then
   # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
   cat >conftest.$ac_ext <<_ACEOF
-#line 14090 "configure"
+#line 14091 "configure"
 #include "confdefs.h"
 #include <stdlib.h>
 
@@ -14108,7 +14109,7 @@
   :
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 14111 "configure"
+#line 14112 "configure"
 #include "confdefs.h"
 #include <ctype.h>
 #if ((' ' & 0x0FF) == 0x020)
@@ -14134,15 +14135,15 @@
 }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:14137: \"$ac_link\"") >&5
+if { (eval echo "$as_me:14138: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:14140: \$? = $ac_status" >&5
+  echo "$as_me:14141: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:14142: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14143: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14145: \$? = $ac_status" >&5
+  echo "$as_me:14146: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   :
 else
@@ -14155,7 +14156,7 @@
 fi
 fi
 fi
-echo "$as_me:14158: result: $ac_cv_header_stdc" >&5
+echo "$as_me:14159: result: $ac_cv_header_stdc" >&5
 echo "${ECHO_T}$ac_cv_header_stdc" >&6
 if test $ac_cv_header_stdc = yes; then
 
@@ -14168,13 +14169,13 @@
 ac_header_dirent=no
 for ac_hdr in dirent.h sys/ndir.h sys/dir.h ndir.h; do
   as_ac_Header=`echo "ac_cv_header_dirent_$ac_hdr" | $as_tr_sh`
-echo "$as_me:14171: checking for $ac_hdr that defines DIR" >&5
+echo "$as_me:14172: checking for $ac_hdr that defines DIR" >&5
 echo $ECHO_N "checking for $ac_hdr that defines DIR... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 14177 "configure"
+#line 14178 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #include <$ac_hdr>
@@ -14189,16 +14190,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:14192: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:14193: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:14195: \$? = $ac_status" >&5
+  echo "$as_me:14196: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:14198: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14199: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14201: \$? = $ac_status" >&5
+  echo "$as_me:14202: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   eval "$as_ac_Header=yes"
 else
@@ -14208,7 +14209,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:14211: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:14212: result: `eval echo '${'$as_ac_Header'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
 if test `eval echo '${'$as_ac_Header'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -14221,7 +14222,7 @@
 done
 # Two versions of opendir et al. are in -ldir and -lx on SCO Xenix.
 if test $ac_header_dirent = dirent.h; then
-  echo "$as_me:14224: checking for opendir in -ldir" >&5
+  echo "$as_me:14225: checking for opendir in -ldir" >&5
 echo $ECHO_N "checking for opendir in -ldir... $ECHO_C" >&6
 if test "${ac_cv_lib_dir_opendir+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -14229,7 +14230,7 @@
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-ldir  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 14232 "configure"
+#line 14233 "configure"
 #include "confdefs.h"
 
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -14248,16 +14249,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:14251: \"$ac_link\"") >&5
+if { (eval echo "$as_me:14252: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:14254: \$? = $ac_status" >&5
+  echo "$as_me:14255: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:14257: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14258: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14260: \$? = $ac_status" >&5
+  echo "$as_me:14261: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_dir_opendir=yes
 else
@@ -14268,14 +14269,14 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:14271: result: $ac_cv_lib_dir_opendir" >&5
+echo "$as_me:14272: result: $ac_cv_lib_dir_opendir" >&5
 echo "${ECHO_T}$ac_cv_lib_dir_opendir" >&6
 if test $ac_cv_lib_dir_opendir = yes; then
   LIBS="$LIBS -ldir"
 fi
 
 else
-  echo "$as_me:14278: checking for opendir in -lx" >&5
+  echo "$as_me:14279: checking for opendir in -lx" >&5
 echo $ECHO_N "checking for opendir in -lx... $ECHO_C" >&6
 if test "${ac_cv_lib_x_opendir+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -14283,7 +14284,7 @@
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-lx  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 14286 "configure"
+#line 14287 "configure"
 #include "confdefs.h"
 
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -14302,16 +14303,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:14305: \"$ac_link\"") >&5
+if { (eval echo "$as_me:14306: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:14308: \$? = $ac_status" >&5
+  echo "$as_me:14309: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:14311: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14312: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14314: \$? = $ac_status" >&5
+  echo "$as_me:14315: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_x_opendir=yes
 else
@@ -14322,7 +14323,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:14325: result: $ac_cv_lib_x_opendir" >&5
+echo "$as_me:14326: result: $ac_cv_lib_x_opendir" >&5
 echo "${ECHO_T}$ac_cv_lib_x_opendir" >&6
 if test $ac_cv_lib_x_opendir = yes; then
   LIBS="$LIBS -lx"
@@ -14330,13 +14331,13 @@
 
 fi
 
-echo "$as_me:14333: checking whether time.h and sys/time.h may both be included" >&5
+echo "$as_me:14334: checking whether time.h and sys/time.h may both be included" >&5
 echo $ECHO_N "checking whether time.h and sys/time.h may both be included... $ECHO_C" >&6
 if test "${ac_cv_header_time+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 14339 "configure"
+#line 14340 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #include <sys/time.h>
@@ -14352,16 +14353,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:14355: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:14356: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:14358: \$? = $ac_status" >&5
+  echo "$as_me:14359: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:14361: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14362: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14364: \$? = $ac_status" >&5
+  echo "$as_me:14365: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_header_time=yes
 else
@@ -14371,7 +14372,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:14374: result: $ac_cv_header_time" >&5
+echo "$as_me:14375: result: $ac_cv_header_time" >&5
 echo "${ECHO_T}$ac_cv_header_time" >&6
 if test $ac_cv_header_time = yes; then
 
@@ -14390,13 +14391,13 @@
 	;;
 esac
 
-echo "$as_me:14393: checking for regcomp" >&5
+echo "$as_me:14394: checking for regcomp" >&5
 echo $ECHO_N "checking for regcomp... $ECHO_C" >&6
 if test "${ac_cv_func_regcomp+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 14399 "configure"
+#line 14400 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char regcomp (); below.  */
@@ -14427,16 +14428,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:14430: \"$ac_link\"") >&5
+if { (eval echo "$as_me:14431: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:14433: \$? = $ac_status" >&5
+  echo "$as_me:14434: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:14436: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14437: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14439: \$? = $ac_status" >&5
+  echo "$as_me:14440: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_func_regcomp=yes
 else
@@ -14446,7 +14447,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:14449: result: $ac_cv_func_regcomp" >&5
+echo "$as_me:14450: result: $ac_cv_func_regcomp" >&5
 echo "${ECHO_T}$ac_cv_func_regcomp" >&6
 if test $ac_cv_func_regcomp = yes; then
   cf_regex_func=regcomp
@@ -14455,7 +14456,7 @@
 	for cf_regex_lib in $cf_regex_libs
 	do
 		as_ac_Lib=`echo "ac_cv_lib_$cf_regex_lib''_regcomp" | $as_tr_sh`
-echo "$as_me:14458: checking for regcomp in -l$cf_regex_lib" >&5
+echo "$as_me:14459: checking for regcomp in -l$cf_regex_lib" >&5
 echo $ECHO_N "checking for regcomp in -l$cf_regex_lib... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Lib+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -14463,7 +14464,7 @@
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-l$cf_regex_lib  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 14466 "configure"
+#line 14467 "configure"
 #include "confdefs.h"
 
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -14482,16 +14483,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:14485: \"$ac_link\"") >&5
+if { (eval echo "$as_me:14486: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:14488: \$? = $ac_status" >&5
+  echo "$as_me:14489: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:14491: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14492: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14494: \$? = $ac_status" >&5
+  echo "$as_me:14495: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   eval "$as_ac_Lib=yes"
 else
@@ -14502,7 +14503,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:14505: result: `eval echo '${'$as_ac_Lib'}'`" >&5
+echo "$as_me:14506: result: `eval echo '${'$as_ac_Lib'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Lib'}'`" >&6
 if test `eval echo '${'$as_ac_Lib'}'` = yes; then
 
@@ -14531,13 +14532,13 @@
 fi
 
 if test "$cf_regex_func" = no ; then
-	echo "$as_me:14534: checking for compile" >&5
+	echo "$as_me:14535: checking for compile" >&5
 echo $ECHO_N "checking for compile... $ECHO_C" >&6
 if test "${ac_cv_func_compile+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 14540 "configure"
+#line 14541 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char compile (); below.  */
@@ -14568,16 +14569,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:14571: \"$ac_link\"") >&5
+if { (eval echo "$as_me:14572: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:14574: \$? = $ac_status" >&5
+  echo "$as_me:14575: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:14577: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14578: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14580: \$? = $ac_status" >&5
+  echo "$as_me:14581: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_func_compile=yes
 else
@@ -14587,13 +14588,13 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:14590: result: $ac_cv_func_compile" >&5
+echo "$as_me:14591: result: $ac_cv_func_compile" >&5
 echo "${ECHO_T}$ac_cv_func_compile" >&6
 if test $ac_cv_func_compile = yes; then
   cf_regex_func=compile
 else
 
-		echo "$as_me:14596: checking for compile in -lgen" >&5
+		echo "$as_me:14597: checking for compile in -lgen" >&5
 echo $ECHO_N "checking for compile in -lgen... $ECHO_C" >&6
 if test "${ac_cv_lib_gen_compile+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -14601,7 +14602,7 @@
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-lgen  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 14604 "configure"
+#line 14605 "configure"
 #include "confdefs.h"
 
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -14620,16 +14621,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:14623: \"$ac_link\"") >&5
+if { (eval echo "$as_me:14624: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:14626: \$? = $ac_status" >&5
+  echo "$as_me:14627: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:14629: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14630: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14632: \$? = $ac_status" >&5
+  echo "$as_me:14633: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_gen_compile=yes
 else
@@ -14640,7 +14641,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:14643: result: $ac_cv_lib_gen_compile" >&5
+echo "$as_me:14644: result: $ac_cv_lib_gen_compile" >&5
 echo "${ECHO_T}$ac_cv_lib_gen_compile" >&6
 if test $ac_cv_lib_gen_compile = yes; then
 
@@ -14668,11 +14669,11 @@
 fi
 
 if test "$cf_regex_func" = no ; then
-	{ echo "$as_me:14671: WARNING: cannot find regular expression library" >&5
+	{ echo "$as_me:14672: WARNING: cannot find regular expression library" >&5
 echo "$as_me: WARNING: cannot find regular expression library" >&2;}
 fi
 
-echo "$as_me:14675: checking for regular-expression headers" >&5
+echo "$as_me:14676: checking for regular-expression headers" >&5
 echo $ECHO_N "checking for regular-expression headers... $ECHO_C" >&6
 if test "${cf_cv_regex_hdrs+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -14684,7 +14685,7 @@
 	for cf_regex_hdr in regexp.h regexpr.h
 	do
 		cat >conftest.$ac_ext <<_ACEOF
-#line 14687 "configure"
+#line 14688 "configure"
 #include "confdefs.h"
 #include <$cf_regex_hdr>
 int
@@ -14699,16 +14700,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:14702: \"$ac_link\"") >&5
+if { (eval echo "$as_me:14703: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:14705: \$? = $ac_status" >&5
+  echo "$as_me:14706: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:14708: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14709: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14711: \$? = $ac_status" >&5
+  echo "$as_me:14712: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
 			cf_cv_regex_hdrs=$cf_regex_hdr
@@ -14725,7 +14726,7 @@
 	for cf_regex_hdr in regex.h
 	do
 		cat >conftest.$ac_ext <<_ACEOF
-#line 14728 "configure"
+#line 14729 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #include <$cf_regex_hdr>
@@ -14743,16 +14744,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:14746: \"$ac_link\"") >&5
+if { (eval echo "$as_me:14747: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:14749: \$? = $ac_status" >&5
+  echo "$as_me:14750: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:14752: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14753: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14755: \$? = $ac_status" >&5
+  echo "$as_me:14756: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
 			cf_cv_regex_hdrs=$cf_regex_hdr
@@ -14768,11 +14769,11 @@
 esac
 
 fi
-echo "$as_me:14771: result: $cf_cv_regex_hdrs" >&5
+echo "$as_me:14772: result: $cf_cv_regex_hdrs" >&5
 echo "${ECHO_T}$cf_cv_regex_hdrs" >&6
 
 case $cf_cv_regex_hdrs in #(vi
-    no)	       { echo "$as_me:14775: WARNING: no regular expression header found" >&5
+    no)	       { echo "$as_me:14776: WARNING: no regular expression header found" >&5
 echo "$as_me: WARNING: no regular expression header found" >&2;} ;; #(vi
     regex.h)
 cat >>confdefs.h <<\EOF
@@ -14811,23 +14812,23 @@
 
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:14814: checking for $ac_header" >&5
+echo "$as_me:14815: checking for $ac_header" >&5
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 14820 "configure"
+#line 14821 "configure"
 #include "confdefs.h"
 #include <$ac_header>
 _ACEOF
-if { (eval echo "$as_me:14824: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:14825: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:14830: \$? = $ac_status" >&5
+  echo "$as_me:14831: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -14846,7 +14847,7 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:14849: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:14850: result: `eval echo '${'$as_ac_Header'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
 if test `eval echo '${'$as_ac_Header'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -14859,23 +14860,23 @@
 for ac_header in unistd.h getopt.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:14862: checking for $ac_header" >&5
+echo "$as_me:14863: checking for $ac_header" >&5
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 14868 "configure"
+#line 14869 "configure"
 #include "confdefs.h"
 #include <$ac_header>
 _ACEOF
-if { (eval echo "$as_me:14872: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:14873: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:14878: \$? = $ac_status" >&5
+  echo "$as_me:14879: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -14894,7 +14895,7 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:14897: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:14898: result: `eval echo '${'$as_ac_Header'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
 if test `eval echo '${'$as_ac_Header'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -14904,7 +14905,7 @@
 fi
 done
 
-echo "$as_me:14907: checking for header declaring getopt variables" >&5
+echo "$as_me:14908: checking for header declaring getopt variables" >&5
 echo $ECHO_N "checking for header declaring getopt variables... $ECHO_C" >&6
 if test "${cf_cv_getopt_header+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -14914,7 +14915,7 @@
 for cf_header in stdio.h stdlib.h unistd.h getopt.h
 do
 cat >conftest.$ac_ext <<_ACEOF
-#line 14917 "configure"
+#line 14918 "configure"
 #include "confdefs.h"
 
 #include <$cf_header>
@@ -14927,16 +14928,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:14930: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:14931: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:14933: \$? = $ac_status" >&5
+  echo "$as_me:14934: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:14936: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14937: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14939: \$? = $ac_status" >&5
+  echo "$as_me:14940: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_getopt_header=$cf_header
  break
@@ -14948,7 +14949,7 @@
 done
 
 fi
-echo "$as_me:14951: result: $cf_cv_getopt_header" >&5
+echo "$as_me:14952: result: $cf_cv_getopt_header" >&5
 echo "${ECHO_T}$cf_cv_getopt_header" >&6
 if test $cf_cv_getopt_header != none ; then
 
@@ -14969,7 +14970,7 @@
 # Note: even non-Posix ISC needs <sys/bsdtypes.h> to declare fd_set
 if test "x$ISC" = xyes ; then
 
-echo "$as_me:14972: checking for main in -lcposix" >&5
+echo "$as_me:14973: checking for main in -lcposix" >&5
 echo $ECHO_N "checking for main in -lcposix... $ECHO_C" >&6
 if test "${ac_cv_lib_cposix_main+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -14977,7 +14978,7 @@
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-lcposix  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 14980 "configure"
+#line 14981 "configure"
 #include "confdefs.h"
 
 int
@@ -14989,16 +14990,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:14992: \"$ac_link\"") >&5
+if { (eval echo "$as_me:14993: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:14995: \$? = $ac_status" >&5
+  echo "$as_me:14996: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:14998: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14999: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15001: \$? = $ac_status" >&5
+  echo "$as_me:15002: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_cposix_main=yes
 else
@@ -15009,7 +15010,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:15012: result: $ac_cv_lib_cposix_main" >&5
+echo "$as_me:15013: result: $ac_cv_lib_cposix_main" >&5
 echo "${ECHO_T}$ac_cv_lib_cposix_main" >&6
 if test $ac_cv_lib_cposix_main = yes; then
   cat >>confdefs.h <<EOF
@@ -15020,7 +15021,7 @@
 
 fi
 
-	echo "$as_me:15023: checking for bzero in -linet" >&5
+	echo "$as_me:15024: checking for bzero in -linet" >&5
 echo $ECHO_N "checking for bzero in -linet... $ECHO_C" >&6
 if test "${ac_cv_lib_inet_bzero+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -15028,7 +15029,7 @@
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-linet  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 15031 "configure"
+#line 15032 "configure"
 #include "confdefs.h"
 
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -15047,16 +15048,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:15050: \"$ac_link\"") >&5
+if { (eval echo "$as_me:15051: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:15053: \$? = $ac_status" >&5
+  echo "$as_me:15054: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:15056: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15057: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15059: \$? = $ac_status" >&5
+  echo "$as_me:15060: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_inet_bzero=yes
 else
@@ -15067,7 +15068,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:15070: result: $ac_cv_lib_inet_bzero" >&5
+echo "$as_me:15071: result: $ac_cv_lib_inet_bzero" >&5
 echo "${ECHO_T}$ac_cv_lib_inet_bzero" >&6
 if test $ac_cv_lib_inet_bzero = yes; then
 
@@ -15090,14 +15091,14 @@
 fi
 fi
 
-echo "$as_me:15093: checking if sys/time.h works with sys/select.h" >&5
+echo "$as_me:15094: checking if sys/time.h works with sys/select.h" >&5
 echo $ECHO_N "checking if sys/time.h works with sys/select.h... $ECHO_C" >&6
 if test "${cf_cv_sys_time_select+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 15100 "configure"
+#line 15101 "configure"
 #include "confdefs.h"
 
 #include <sys/types.h>
@@ -15117,16 +15118,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:15120: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:15121: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15123: \$? = $ac_status" >&5
+  echo "$as_me:15124: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:15126: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15127: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15129: \$? = $ac_status" >&5
+  echo "$as_me:15130: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_sys_time_select=yes
 else
@@ -15138,7 +15139,7 @@
 
 fi
 
-echo "$as_me:15141: result: $cf_cv_sys_time_select" >&5
+echo "$as_me:15142: result: $cf_cv_sys_time_select" >&5
 echo "${ECHO_T}$cf_cv_sys_time_select" >&6
 test "$cf_cv_sys_time_select" = yes &&
 cat >>confdefs.h <<\EOF
@@ -15153,13 +15154,13 @@
 ac_compiler_gnu=$ac_cv_c_compiler_gnu
 ac_main_return=return
 
-echo "$as_me:15156: checking for an ANSI C-conforming const" >&5
+echo "$as_me:15157: checking for an ANSI C-conforming const" >&5
 echo $ECHO_N "checking for an ANSI C-conforming const... $ECHO_C" >&6
 if test "${ac_cv_c_const+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 15162 "configure"
+#line 15163 "configure"
 #include "confdefs.h"
 
 int
@@ -15217,16 +15218,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:15220: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:15221: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15223: \$? = $ac_status" >&5
+  echo "$as_me:15224: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:15226: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15227: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15229: \$? = $ac_status" >&5
+  echo "$as_me:15230: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_c_const=yes
 else
@@ -15236,7 +15237,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:15239: result: $ac_cv_c_const" >&5
+echo "$as_me:15240: result: $ac_cv_c_const" >&5
 echo "${ECHO_T}$ac_cv_c_const" >&6
 if test $ac_cv_c_const = no; then
 
@@ -15246,7 +15247,7 @@
 
 fi
 
-echo "$as_me:15249: checking for inline" >&5
+echo "$as_me:15250: checking for inline" >&5
 echo $ECHO_N "checking for inline... $ECHO_C" >&6
 if test "${ac_cv_c_inline+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -15254,7 +15255,7 @@
   ac_cv_c_inline=no
 for ac_kw in inline __inline__ __inline; do
   cat >conftest.$ac_ext <<_ACEOF
-#line 15257 "configure"
+#line 15258 "configure"
 #include "confdefs.h"
 #ifndef __cplusplus
 static $ac_kw int static_foo () {return 0; }
@@ -15263,16 +15264,16 @@
 
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:15266: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:15267: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15269: \$? = $ac_status" >&5
+  echo "$as_me:15270: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:15272: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15273: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15275: \$? = $ac_status" >&5
+  echo "$as_me:15276: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_c_inline=$ac_kw; break
 else
@@ -15283,7 +15284,7 @@
 done
 
 fi
-echo "$as_me:15286: result: $ac_cv_c_inline" >&5
+echo "$as_me:15287: result: $ac_cv_c_inline" >&5
 echo "${ECHO_T}$ac_cv_c_inline" >&6
 case $ac_cv_c_inline in
   inline | yes) ;;
@@ -15309,7 +15310,7 @@
     :
   elif test "$GCC" = yes
   then
-    echo "$as_me:15312: checking if $CC supports options to tune inlining" >&5
+    echo "$as_me:15313: checking if $CC supports options to tune inlining" >&5
 echo $ECHO_N "checking if $CC supports options to tune inlining... $ECHO_C" >&6
 if test "${cf_cv_gcc_inline+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -15318,7 +15319,7 @@
       cf_save_CFLAGS=$CFLAGS
       CFLAGS="$CFLAGS --param max-inline-insns-single=1200"
       cat >conftest.$ac_ext <<_ACEOF
-#line 15321 "configure"
+#line 15322 "configure"
 #include "confdefs.h"
 inline int foo(void) { return 1; }
 int
@@ -15330,16 +15331,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:15333: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:15334: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15336: \$? = $ac_status" >&5
+  echo "$as_me:15337: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:15339: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15340: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15342: \$? = $ac_status" >&5
+  echo "$as_me:15343: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_gcc_inline=yes
 else
@@ -15351,7 +15352,7 @@
       CFLAGS=$cf_save_CFLAGS
 
 fi
-echo "$as_me:15354: result: $cf_cv_gcc_inline" >&5
+echo "$as_me:15355: result: $cf_cv_gcc_inline" >&5
 echo "${ECHO_T}$cf_cv_gcc_inline" >&6
     if test "$cf_cv_gcc_inline" = yes ; then
 
@@ -15437,7 +15438,7 @@
   fi
 fi
 
-echo "$as_me:15440: checking for signal global datatype" >&5
+echo "$as_me:15441: checking for signal global datatype" >&5
 echo $ECHO_N "checking for signal global datatype... $ECHO_C" >&6
 if test "${cf_cv_sig_atomic_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -15449,7 +15450,7 @@
 		"int"
 	do
 	cat >conftest.$ac_ext <<_ACEOF
-#line 15452 "configure"
+#line 15453 "configure"
 #include "confdefs.h"
 
 #include <sys/types.h>
@@ -15472,16 +15473,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:15475: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:15476: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15478: \$? = $ac_status" >&5
+  echo "$as_me:15479: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:15481: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15482: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15484: \$? = $ac_status" >&5
+  echo "$as_me:15485: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_sig_atomic_t=$cf_type
 else
@@ -15495,7 +15496,7 @@
 
 fi
 
-echo "$as_me:15498: result: $cf_cv_sig_atomic_t" >&5
+echo "$as_me:15499: result: $cf_cv_sig_atomic_t" >&5
 echo "${ECHO_T}$cf_cv_sig_atomic_t" >&6
 test "$cf_cv_sig_atomic_t" != no &&
 cat >>confdefs.h <<EOF
@@ -15504,7 +15505,7 @@
 
 if test $NCURSES_CHTYPE = auto ; then
 
-echo "$as_me:15507: checking for type of chtype" >&5
+echo "$as_me:15508: checking for type of chtype" >&5
 echo $ECHO_N "checking for type of chtype... $ECHO_C" >&6
 if test "${cf_cv_typeof_chtype+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -15514,7 +15515,7 @@
   cf_cv_typeof_chtype=long
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 15517 "configure"
+#line 15518 "configure"
 #include "confdefs.h"
 
 #define WANT_BITS 31
@@ -15549,15 +15550,15 @@
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:15552: \"$ac_link\"") >&5
+if { (eval echo "$as_me:15553: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:15555: \$? = $ac_status" >&5
+  echo "$as_me:15556: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:15557: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15558: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15560: \$? = $ac_status" >&5
+  echo "$as_me:15561: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_typeof_chtype=`cat cf_test.out`
 else
@@ -15572,7 +15573,7 @@
 
 fi
 
-echo "$as_me:15575: result: $cf_cv_typeof_chtype" >&5
+echo "$as_me:15576: result: $cf_cv_typeof_chtype" >&5
 echo "${ECHO_T}$cf_cv_typeof_chtype" >&6
 
 cat >>confdefs.h <<EOF
@@ -15584,14 +15585,14 @@
 fi
 test "$cf_cv_typeof_chtype" = unsigned && cf_cv_typeof_chtype=""
 
-echo "$as_me:15587: checking if unsigned literals are legal" >&5
+echo "$as_me:15588: checking if unsigned literals are legal" >&5
 echo $ECHO_N "checking if unsigned literals are legal... $ECHO_C" >&6
 if test "${cf_cv_unsigned_literals+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 15594 "configure"
+#line 15595 "configure"
 #include "confdefs.h"
 
 int
@@ -15603,16 +15604,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:15606: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:15607: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15609: \$? = $ac_status" >&5
+  echo "$as_me:15610: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:15612: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15613: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15615: \$? = $ac_status" >&5
+  echo "$as_me:15616: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_unsigned_literals=yes
 else
@@ -15624,7 +15625,7 @@
 
 fi
 
-echo "$as_me:15627: result: $cf_cv_unsigned_literals" >&5
+echo "$as_me:15628: result: $cf_cv_unsigned_literals" >&5
 echo "${ECHO_T}$cf_cv_unsigned_literals" >&6
 
 cf_cv_1UL="1"
@@ -15640,14 +15641,14 @@
 
 ###	Checks for external-data
 
-echo "$as_me:15643: checking if external errno is declared" >&5
+echo "$as_me:15644: checking if external errno is declared" >&5
 echo $ECHO_N "checking if external errno is declared... $ECHO_C" >&6
 if test "${cf_cv_dcl_errno+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
     cat >conftest.$ac_ext <<_ACEOF
-#line 15650 "configure"
+#line 15651 "configure"
 #include "confdefs.h"
 
 #ifdef HAVE_STDLIB_H
@@ -15665,16 +15666,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:15668: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:15669: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15671: \$? = $ac_status" >&5
+  echo "$as_me:15672: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:15674: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15675: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15677: \$? = $ac_status" >&5
+  echo "$as_me:15678: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_dcl_errno=yes
 else
@@ -15685,7 +15686,7 @@
 rm -f conftest.$ac_objext conftest.$ac_ext
 
 fi
-echo "$as_me:15688: result: $cf_cv_dcl_errno" >&5
+echo "$as_me:15689: result: $cf_cv_dcl_errno" >&5
 echo "${ECHO_T}$cf_cv_dcl_errno" >&6
 
 if test "$cf_cv_dcl_errno" = no ; then
@@ -15700,14 +15701,14 @@
 
 # It's possible (for near-UNIX clones) that the data doesn't exist
 
-echo "$as_me:15703: checking if external errno exists" >&5
+echo "$as_me:15704: checking if external errno exists" >&5
 echo $ECHO_N "checking if external errno exists... $ECHO_C" >&6
 if test "${cf_cv_have_errno+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
     cat >conftest.$ac_ext <<_ACEOF
-#line 15710 "configure"
+#line 15711 "configure"
 #include "confdefs.h"
 
 #undef errno
@@ -15722,16 +15723,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:15725: \"$ac_link\"") >&5
+if { (eval echo "$as_me:15726: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:15728: \$? = $ac_status" >&5
+  echo "$as_me:15729: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:15731: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15732: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15734: \$? = $ac_status" >&5
+  echo "$as_me:15735: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_have_errno=yes
 else
@@ -15742,7 +15743,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 
 fi
-echo "$as_me:15745: result: $cf_cv_have_errno" >&5
+echo "$as_me:15746: result: $cf_cv_have_errno" >&5
 echo "${ECHO_T}$cf_cv_have_errno" >&6
 
 if test "$cf_cv_have_errno" = yes ; then
@@ -15755,7 +15756,7 @@
 
 fi
 
-echo "$as_me:15758: checking if data-only library module links" >&5
+echo "$as_me:15759: checking if data-only library module links" >&5
 echo $ECHO_N "checking if data-only library module links... $ECHO_C" >&6
 if test "${cf_cv_link_dataonly+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -15763,20 +15764,20 @@
 
 	rm -f conftest.a
 	cat >conftest.$ac_ext <<EOF
-#line 15766 "configure"
+#line 15767 "configure"
 int	testdata[3] = { 123, 456, 789 };
 EOF
-	if { (eval echo "$as_me:15769: \"$ac_compile\"") >&5
+	if { (eval echo "$as_me:15770: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15772: \$? = $ac_status" >&5
+  echo "$as_me:15773: \$? = $ac_status" >&5
   (exit $ac_status); } ; then
 		mv conftest.o data.o && \
 		( $AR $ARFLAGS conftest.a data.o ) 2>&5 1>/dev/null
 	fi
 	rm -f conftest.$ac_ext data.o
 	cat >conftest.$ac_ext <<EOF
-#line 15779 "configure"
+#line 15780 "configure"
 int	testfunc()
 {
 #if defined(NeXT)
@@ -15789,10 +15790,10 @@
 #endif
 }
 EOF
-	if { (eval echo "$as_me:15792: \"$ac_compile\"") >&5
+	if { (eval echo "$as_me:15793: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15795: \$? = $ac_status" >&5
+  echo "$as_me:15796: \$? = $ac_status" >&5
   (exit $ac_status); }; then
 		mv conftest.o func.o && \
 		( $AR $ARFLAGS conftest.a func.o ) 2>&5 1>/dev/null
@@ -15805,7 +15806,7 @@
   cf_cv_link_dataonly=unknown
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 15808 "configure"
+#line 15809 "configure"
 #include "confdefs.h"
 
 	int main()
@@ -15816,15 +15817,15 @@
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:15819: \"$ac_link\"") >&5
+if { (eval echo "$as_me:15820: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:15822: \$? = $ac_status" >&5
+  echo "$as_me:15823: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:15824: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15825: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15827: \$? = $ac_status" >&5
+  echo "$as_me:15828: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_link_dataonly=yes
 else
@@ -15839,7 +15840,7 @@
 
 fi
 
-echo "$as_me:15842: result: $cf_cv_link_dataonly" >&5
+echo "$as_me:15843: result: $cf_cv_link_dataonly" >&5
 echo "${ECHO_T}$cf_cv_link_dataonly" >&6
 
 if test "$cf_cv_link_dataonly" = no ; then
@@ -15877,13 +15878,13 @@
 
 do
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
-echo "$as_me:15880: checking for $ac_func" >&5
+echo "$as_me:15881: checking for $ac_func" >&5
 echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
 if eval "test \"\${$as_ac_var+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 15886 "configure"
+#line 15887 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func (); below.  */
@@ -15914,16 +15915,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:15917: \"$ac_link\"") >&5
+if { (eval echo "$as_me:15918: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:15920: \$? = $ac_status" >&5
+  echo "$as_me:15921: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:15923: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15924: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15926: \$? = $ac_status" >&5
+  echo "$as_me:15927: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   eval "$as_ac_var=yes"
 else
@@ -15933,7 +15934,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:15936: result: `eval echo '${'$as_ac_var'}'`" >&5
+echo "$as_me:15937: result: `eval echo '${'$as_ac_var'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
 if test `eval echo '${'$as_ac_var'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -15945,14 +15946,14 @@
 
 if test "x$with_getcap" = "xyes" ; then
 
-echo "$as_me:15948: checking for terminal-capability database functions" >&5
+echo "$as_me:15949: checking for terminal-capability database functions" >&5
 echo $ECHO_N "checking for terminal-capability database functions... $ECHO_C" >&6
 if test "${cf_cv_cgetent+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 15955 "configure"
+#line 15956 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -15972,16 +15973,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:15975: \"$ac_link\"") >&5
+if { (eval echo "$as_me:15976: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:15978: \$? = $ac_status" >&5
+  echo "$as_me:15979: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:15981: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15982: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15984: \$? = $ac_status" >&5
+  echo "$as_me:15985: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_cgetent=yes
 else
@@ -15992,7 +15993,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 
 fi
-echo "$as_me:15995: result: $cf_cv_cgetent" >&5
+echo "$as_me:15996: result: $cf_cv_cgetent" >&5
 echo "${ECHO_T}$cf_cv_cgetent" >&6
 
 if test "$cf_cv_cgetent" = yes
@@ -16002,14 +16003,14 @@
 #define HAVE_BSD_CGETENT 1
 EOF
 
-echo "$as_me:16005: checking if cgetent uses const parameter" >&5
+echo "$as_me:16006: checking if cgetent uses const parameter" >&5
 echo $ECHO_N "checking if cgetent uses const parameter... $ECHO_C" >&6
 if test "${cf_cv_cgetent_const+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 16012 "configure"
+#line 16013 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -16031,16 +16032,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:16034: \"$ac_link\"") >&5
+if { (eval echo "$as_me:16035: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:16037: \$? = $ac_status" >&5
+  echo "$as_me:16038: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:16040: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16041: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16043: \$? = $ac_status" >&5
+  echo "$as_me:16044: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_cgetent_const=yes
 else
@@ -16051,7 +16052,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 
 fi
-echo "$as_me:16054: result: $cf_cv_cgetent_const" >&5
+echo "$as_me:16055: result: $cf_cv_cgetent_const" >&5
 echo "${ECHO_T}$cf_cv_cgetent_const" >&6
 	if test "$cf_cv_cgetent_const" = yes
 	then
@@ -16065,14 +16066,14 @@
 
 fi
 
-echo "$as_me:16068: checking for isascii" >&5
+echo "$as_me:16069: checking for isascii" >&5
 echo $ECHO_N "checking for isascii... $ECHO_C" >&6
 if test "${cf_cv_have_isascii+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 16075 "configure"
+#line 16076 "configure"
 #include "confdefs.h"
 #include <ctype.h>
 int
@@ -16084,16 +16085,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:16087: \"$ac_link\"") >&5
+if { (eval echo "$as_me:16088: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:16090: \$? = $ac_status" >&5
+  echo "$as_me:16091: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:16093: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16094: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16096: \$? = $ac_status" >&5
+  echo "$as_me:16097: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_have_isascii=yes
 else
@@ -16104,7 +16105,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 
 fi
-echo "$as_me:16107: result: $cf_cv_have_isascii" >&5
+echo "$as_me:16108: result: $cf_cv_have_isascii" >&5
 echo "${ECHO_T}$cf_cv_have_isascii" >&6
 test "$cf_cv_have_isascii" = yes &&
 cat >>confdefs.h <<\EOF
@@ -16112,10 +16113,10 @@
 EOF
 
 if test "$ac_cv_func_sigaction" = yes; then
-echo "$as_me:16115: checking whether sigaction needs _POSIX_SOURCE" >&5
+echo "$as_me:16116: checking whether sigaction needs _POSIX_SOURCE" >&5
 echo $ECHO_N "checking whether sigaction needs _POSIX_SOURCE... $ECHO_C" >&6
 cat >conftest.$ac_ext <<_ACEOF
-#line 16118 "configure"
+#line 16119 "configure"
 #include "confdefs.h"
 
 #include <sys/types.h>
@@ -16129,16 +16130,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:16132: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:16133: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:16135: \$? = $ac_status" >&5
+  echo "$as_me:16136: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:16138: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16139: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16141: \$? = $ac_status" >&5
+  echo "$as_me:16142: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   sigact_bad=no
 else
@@ -16146,7 +16147,7 @@
 cat conftest.$ac_ext >&5
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 16149 "configure"
+#line 16150 "configure"
 #include "confdefs.h"
 
 #define _POSIX_SOURCE
@@ -16161,16 +16162,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:16164: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:16165: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:16167: \$? = $ac_status" >&5
+  echo "$as_me:16168: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:16170: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16171: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16173: \$? = $ac_status" >&5
+  echo "$as_me:16174: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   sigact_bad=yes
 
@@ -16186,11 +16187,11 @@
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:16189: result: $sigact_bad" >&5
+echo "$as_me:16190: result: $sigact_bad" >&5
 echo "${ECHO_T}$sigact_bad" >&6
 fi
 
-echo "$as_me:16193: checking if nanosleep really works" >&5
+echo "$as_me:16194: checking if nanosleep really works" >&5
 echo $ECHO_N "checking if nanosleep really works... $ECHO_C" >&6
 if test "${cf_cv_func_nanosleep+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -16200,7 +16201,7 @@
   cf_cv_func_nanosleep=unknown
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 16203 "configure"
+#line 16204 "configure"
 #include "confdefs.h"
 
 #include <stdio.h>
@@ -16225,15 +16226,15 @@
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:16228: \"$ac_link\"") >&5
+if { (eval echo "$as_me:16229: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:16231: \$? = $ac_status" >&5
+  echo "$as_me:16232: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:16233: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16234: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16236: \$? = $ac_status" >&5
+  echo "$as_me:16237: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_func_nanosleep=yes
 else
@@ -16245,7 +16246,7 @@
 rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
 fi
-echo "$as_me:16248: result: $cf_cv_func_nanosleep" >&5
+echo "$as_me:16249: result: $cf_cv_func_nanosleep" >&5
 echo "${ECHO_T}$cf_cv_func_nanosleep" >&6
 
 test "$cf_cv_func_nanosleep" = "yes" &&
@@ -16260,23 +16261,23 @@
 
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:16263: checking for $ac_header" >&5
+echo "$as_me:16264: checking for $ac_header" >&5
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 16269 "configure"
+#line 16270 "configure"
 #include "confdefs.h"
 #include <$ac_header>
 _ACEOF
-if { (eval echo "$as_me:16273: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:16274: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:16279: \$? = $ac_status" >&5
+  echo "$as_me:16280: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -16295,7 +16296,7 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:16298: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:16299: result: `eval echo '${'$as_ac_Header'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
 if test `eval echo '${'$as_ac_Header'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -16310,23 +16311,23 @@
 for ac_header in sys/termio.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:16313: checking for $ac_header" >&5
+echo "$as_me:16314: checking for $ac_header" >&5
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 16319 "configure"
+#line 16320 "configure"
 #include "confdefs.h"
 #include <$ac_header>
 _ACEOF
-if { (eval echo "$as_me:16323: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:16324: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:16329: \$? = $ac_status" >&5
+  echo "$as_me:16330: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -16345,7 +16346,7 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:16348: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:16349: result: `eval echo '${'$as_ac_Header'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
 if test `eval echo '${'$as_ac_Header'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -16363,10 +16364,10 @@
 	*)	termios_bad=maybe ;;
 	esac
 	if test "$termios_bad" = maybe ; then
-	echo "$as_me:16366: checking whether termios.h needs _POSIX_SOURCE" >&5
+	echo "$as_me:16367: checking whether termios.h needs _POSIX_SOURCE" >&5
 echo $ECHO_N "checking whether termios.h needs _POSIX_SOURCE... $ECHO_C" >&6
 	cat >conftest.$ac_ext <<_ACEOF
-#line 16369 "configure"
+#line 16370 "configure"
 #include "confdefs.h"
 #include <termios.h>
 int
@@ -16378,16 +16379,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:16381: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:16382: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:16384: \$? = $ac_status" >&5
+  echo "$as_me:16385: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:16387: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16388: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16390: \$? = $ac_status" >&5
+  echo "$as_me:16391: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   termios_bad=no
 else
@@ -16395,7 +16396,7 @@
 cat conftest.$ac_ext >&5
 
 		cat >conftest.$ac_ext <<_ACEOF
-#line 16398 "configure"
+#line 16399 "configure"
 #include "confdefs.h"
 
 #define _POSIX_SOURCE
@@ -16409,16 +16410,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:16412: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:16413: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:16415: \$? = $ac_status" >&5
+  echo "$as_me:16416: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:16418: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16419: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16421: \$? = $ac_status" >&5
+  echo "$as_me:16422: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   termios_bad=unknown
 else
@@ -16434,19 +16435,19 @@
 
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-	echo "$as_me:16437: result: $termios_bad" >&5
+	echo "$as_me:16438: result: $termios_bad" >&5
 echo "${ECHO_T}$termios_bad" >&6
 	fi
 fi
 
-echo "$as_me:16442: checking for tcgetattr" >&5
+echo "$as_me:16443: checking for tcgetattr" >&5
 echo $ECHO_N "checking for tcgetattr... $ECHO_C" >&6
 if test "${cf_cv_have_tcgetattr+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 16449 "configure"
+#line 16450 "configure"
 #include "confdefs.h"
 
 #include <sys/types.h>
@@ -16474,16 +16475,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:16477: \"$ac_link\"") >&5
+if { (eval echo "$as_me:16478: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:16480: \$? = $ac_status" >&5
+  echo "$as_me:16481: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:16483: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16484: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16486: \$? = $ac_status" >&5
+  echo "$as_me:16487: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_have_tcgetattr=yes
 else
@@ -16493,21 +16494,21 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:16496: result: $cf_cv_have_tcgetattr" >&5
+echo "$as_me:16497: result: $cf_cv_have_tcgetattr" >&5
 echo "${ECHO_T}$cf_cv_have_tcgetattr" >&6
 test "$cf_cv_have_tcgetattr" = yes &&
 cat >>confdefs.h <<\EOF
 #define HAVE_TCGETATTR 1
 EOF
 
-echo "$as_me:16503: checking for vsscanf function or workaround" >&5
+echo "$as_me:16504: checking for vsscanf function or workaround" >&5
 echo $ECHO_N "checking for vsscanf function or workaround... $ECHO_C" >&6
 if test "${cf_cv_func_vsscanf+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 16510 "configure"
+#line 16511 "configure"
 #include "confdefs.h"
 
 #include <stdarg.h>
@@ -16523,16 +16524,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:16526: \"$ac_link\"") >&5
+if { (eval echo "$as_me:16527: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:16529: \$? = $ac_status" >&5
+  echo "$as_me:16530: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:16532: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16533: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16535: \$? = $ac_status" >&5
+  echo "$as_me:16536: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_func_vsscanf=vsscanf
 else
@@ -16540,7 +16541,7 @@
 cat conftest.$ac_ext >&5
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 16543 "configure"
+#line 16544 "configure"
 #include "confdefs.h"
 
 #include <stdarg.h>
@@ -16562,16 +16563,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:16565: \"$ac_link\"") >&5
+if { (eval echo "$as_me:16566: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:16568: \$? = $ac_status" >&5
+  echo "$as_me:16569: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:16571: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16572: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16574: \$? = $ac_status" >&5
+  echo "$as_me:16575: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_func_vsscanf=vfscanf
 else
@@ -16579,7 +16580,7 @@
 cat conftest.$ac_ext >&5
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 16582 "configure"
+#line 16583 "configure"
 #include "confdefs.h"
 
 #include <stdarg.h>
@@ -16601,16 +16602,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:16604: \"$ac_link\"") >&5
+if { (eval echo "$as_me:16605: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:16607: \$? = $ac_status" >&5
+  echo "$as_me:16608: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:16610: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16611: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16613: \$? = $ac_status" >&5
+  echo "$as_me:16614: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_func_vsscanf=_doscan
 else
@@ -16625,7 +16626,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:16628: result: $cf_cv_func_vsscanf" >&5
+echo "$as_me:16629: result: $cf_cv_func_vsscanf" >&5
 echo "${ECHO_T}$cf_cv_func_vsscanf" >&6
 
 case $cf_cv_func_vsscanf in #(vi
@@ -16646,7 +16647,7 @@
 ;;
 esac
 
-echo "$as_me:16649: checking for working mkstemp" >&5
+echo "$as_me:16650: checking for working mkstemp" >&5
 echo $ECHO_N "checking for working mkstemp... $ECHO_C" >&6
 if test "${cf_cv_func_mkstemp+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -16657,7 +16658,7 @@
   cf_cv_func_mkstemp=maybe
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 16660 "configure"
+#line 16661 "configure"
 #include "confdefs.h"
 
 #include <sys/types.h>
@@ -16695,15 +16696,15 @@
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:16698: \"$ac_link\"") >&5
+if { (eval echo "$as_me:16699: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:16701: \$? = $ac_status" >&5
+  echo "$as_me:16702: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:16703: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16704: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16706: \$? = $ac_status" >&5
+  echo "$as_me:16707: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_func_mkstemp=yes
 
@@ -16718,16 +16719,16 @@
 fi
 
 fi
-echo "$as_me:16721: result: $cf_cv_func_mkstemp" >&5
+echo "$as_me:16722: result: $cf_cv_func_mkstemp" >&5
 echo "${ECHO_T}$cf_cv_func_mkstemp" >&6
 if test "x$cf_cv_func_mkstemp" = xmaybe ; then
-	echo "$as_me:16724: checking for mkstemp" >&5
+	echo "$as_me:16725: checking for mkstemp" >&5
 echo $ECHO_N "checking for mkstemp... $ECHO_C" >&6
 if test "${ac_cv_func_mkstemp+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 16730 "configure"
+#line 16731 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char mkstemp (); below.  */
@@ -16758,16 +16759,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:16761: \"$ac_link\"") >&5
+if { (eval echo "$as_me:16762: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:16764: \$? = $ac_status" >&5
+  echo "$as_me:16765: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:16767: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16768: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16770: \$? = $ac_status" >&5
+  echo "$as_me:16771: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_func_mkstemp=yes
 else
@@ -16777,7 +16778,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:16780: result: $ac_cv_func_mkstemp" >&5
+echo "$as_me:16781: result: $ac_cv_func_mkstemp" >&5
 echo "${ECHO_T}$ac_cv_func_mkstemp" >&6
 
 fi
@@ -16798,21 +16799,21 @@
 fi
 
 if test "x$cross_compiling" = xyes ; then
-	{ echo "$as_me:16801: WARNING: cross compiling: assume setvbuf params not reversed" >&5
+	{ echo "$as_me:16802: WARNING: cross compiling: assume setvbuf params not reversed" >&5
 echo "$as_me: WARNING: cross compiling: assume setvbuf params not reversed" >&2;}
 else
-	echo "$as_me:16804: checking whether setvbuf arguments are reversed" >&5
+	echo "$as_me:16805: checking whether setvbuf arguments are reversed" >&5
 echo $ECHO_N "checking whether setvbuf arguments are reversed... $ECHO_C" >&6
 if test "${ac_cv_func_setvbuf_reversed+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   if test "$cross_compiling" = yes; then
-  { { echo "$as_me:16810: error: cannot run test program while cross compiling" >&5
+  { { echo "$as_me:16811: error: cannot run test program while cross compiling" >&5
 echo "$as_me: error: cannot run test program while cross compiling" >&2;}
    { (exit 1); exit 1; }; }
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 16815 "configure"
+#line 16816 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 /* If setvbuf has the reversed format, exit 0. */
@@ -16829,15 +16830,15 @@
 }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:16832: \"$ac_link\"") >&5
+if { (eval echo "$as_me:16833: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:16835: \$? = $ac_status" >&5
+  echo "$as_me:16836: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:16837: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16838: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16840: \$? = $ac_status" >&5
+  echo "$as_me:16841: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_func_setvbuf_reversed=yes
 else
@@ -16850,7 +16851,7 @@
 fi
 rm -f core core.* *.core
 fi
-echo "$as_me:16853: result: $ac_cv_func_setvbuf_reversed" >&5
+echo "$as_me:16854: result: $ac_cv_func_setvbuf_reversed" >&5
 echo "${ECHO_T}$ac_cv_func_setvbuf_reversed" >&6
 if test $ac_cv_func_setvbuf_reversed = yes; then
 
@@ -16861,13 +16862,13 @@
 fi
 
 fi
-echo "$as_me:16864: checking for intptr_t" >&5
+echo "$as_me:16865: checking for intptr_t" >&5
 echo $ECHO_N "checking for intptr_t... $ECHO_C" >&6
 if test "${ac_cv_type_intptr_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 16870 "configure"
+#line 16871 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -16882,16 +16883,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:16885: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:16886: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:16888: \$? = $ac_status" >&5
+  echo "$as_me:16889: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:16891: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16892: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16894: \$? = $ac_status" >&5
+  echo "$as_me:16895: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_type_intptr_t=yes
 else
@@ -16901,7 +16902,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:16904: result: $ac_cv_type_intptr_t" >&5
+echo "$as_me:16905: result: $ac_cv_type_intptr_t" >&5
 echo "${ECHO_T}$ac_cv_type_intptr_t" >&6
 if test $ac_cv_type_intptr_t = yes; then
   :
@@ -16913,14 +16914,14 @@
 
 fi
 
-echo "$as_me:16916: checking for type sigaction_t" >&5
+echo "$as_me:16917: checking for type sigaction_t" >&5
 echo $ECHO_N "checking for type sigaction_t... $ECHO_C" >&6
 if test "${cf_cv_type_sigaction+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 16923 "configure"
+#line 16924 "configure"
 #include "confdefs.h"
 
 #include <signal.h>
@@ -16933,16 +16934,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:16936: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:16937: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:16939: \$? = $ac_status" >&5
+  echo "$as_me:16940: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:16942: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16943: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16945: \$? = $ac_status" >&5
+  echo "$as_me:16946: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_type_sigaction=yes
 else
@@ -16953,14 +16954,14 @@
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
 
-echo "$as_me:16956: result: $cf_cv_type_sigaction" >&5
+echo "$as_me:16957: result: $cf_cv_type_sigaction" >&5
 echo "${ECHO_T}$cf_cv_type_sigaction" >&6
 test "$cf_cv_type_sigaction" = yes &&
 cat >>confdefs.h <<\EOF
 #define HAVE_TYPE_SIGACTION 1
 EOF
 
-echo "$as_me:16963: checking declaration of size-change" >&5
+echo "$as_me:16964: checking declaration of size-change" >&5
 echo $ECHO_N "checking declaration of size-change... $ECHO_C" >&6
 if test "${cf_cv_sizechange+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -16975,7 +16976,7 @@
     CPPFLAGS="$cf_save_CPPFLAGS"
     test -n "$cf_opts" && CPPFLAGS="$CPPFLAGS -D$cf_opts"
     cat >conftest.$ac_ext <<_ACEOF
-#line 16978 "configure"
+#line 16979 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #ifdef HAVE_TERMIOS_H
@@ -17019,16 +17020,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:17022: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:17023: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:17025: \$? = $ac_status" >&5
+  echo "$as_me:17026: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:17028: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17029: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17031: \$? = $ac_status" >&5
+  echo "$as_me:17032: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_sizechange=yes
 else
@@ -17047,7 +17048,7 @@
 done
 
 fi
-echo "$as_me:17050: result: $cf_cv_sizechange" >&5
+echo "$as_me:17051: result: $cf_cv_sizechange" >&5
 echo "${ECHO_T}$cf_cv_sizechange" >&6
 if test "$cf_cv_sizechange" != no ; then
 
@@ -17065,13 +17066,13 @@
 	esac
 fi
 
-echo "$as_me:17068: checking for memmove" >&5
+echo "$as_me:17069: checking for memmove" >&5
 echo $ECHO_N "checking for memmove... $ECHO_C" >&6
 if test "${ac_cv_func_memmove+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 17074 "configure"
+#line 17075 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char memmove (); below.  */
@@ -17102,16 +17103,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:17105: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17106: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17108: \$? = $ac_status" >&5
+  echo "$as_me:17109: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:17111: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17112: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17114: \$? = $ac_status" >&5
+  echo "$as_me:17115: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_func_memmove=yes
 else
@@ -17121,19 +17122,19 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:17124: result: $ac_cv_func_memmove" >&5
+echo "$as_me:17125: result: $ac_cv_func_memmove" >&5
 echo "${ECHO_T}$ac_cv_func_memmove" >&6
 if test $ac_cv_func_memmove = yes; then
   :
 else
 
-echo "$as_me:17130: checking for bcopy" >&5
+echo "$as_me:17131: checking for bcopy" >&5
 echo $ECHO_N "checking for bcopy... $ECHO_C" >&6
 if test "${ac_cv_func_bcopy+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 17136 "configure"
+#line 17137 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char bcopy (); below.  */
@@ -17164,16 +17165,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:17167: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17168: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17170: \$? = $ac_status" >&5
+  echo "$as_me:17171: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:17173: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17174: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17176: \$? = $ac_status" >&5
+  echo "$as_me:17177: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_func_bcopy=yes
 else
@@ -17183,11 +17184,11 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:17186: result: $ac_cv_func_bcopy" >&5
+echo "$as_me:17187: result: $ac_cv_func_bcopy" >&5
 echo "${ECHO_T}$ac_cv_func_bcopy" >&6
 if test $ac_cv_func_bcopy = yes; then
 
-	echo "$as_me:17190: checking if bcopy does overlapping moves" >&5
+	echo "$as_me:17191: checking if bcopy does overlapping moves" >&5
 echo $ECHO_N "checking if bcopy does overlapping moves... $ECHO_C" >&6
 if test "${cf_cv_good_bcopy+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -17197,7 +17198,7 @@
   cf_cv_good_bcopy=unknown
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 17200 "configure"
+#line 17201 "configure"
 #include "confdefs.h"
 
 int main() {
@@ -17211,15 +17212,15 @@
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:17214: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17215: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17217: \$? = $ac_status" >&5
+  echo "$as_me:17218: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:17219: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17220: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17222: \$? = $ac_status" >&5
+  echo "$as_me:17223: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_good_bcopy=yes
 else
@@ -17232,7 +17233,7 @@
 fi
 
 fi
-echo "$as_me:17235: result: $cf_cv_good_bcopy" >&5
+echo "$as_me:17236: result: $cf_cv_good_bcopy" >&5
 echo "${ECHO_T}$cf_cv_good_bcopy" >&6
 
 else
@@ -17255,7 +17256,7 @@
 
 fi
 
-echo "$as_me:17258: checking if poll really works" >&5
+echo "$as_me:17259: checking if poll really works" >&5
 echo $ECHO_N "checking if poll really works... $ECHO_C" >&6
 if test "${cf_cv_working_poll+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -17265,7 +17266,7 @@
   cf_cv_working_poll=unknown
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 17268 "configure"
+#line 17269 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -17312,15 +17313,15 @@
 }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:17315: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17316: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17318: \$? = $ac_status" >&5
+  echo "$as_me:17319: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:17320: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17321: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17323: \$? = $ac_status" >&5
+  echo "$as_me:17324: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_working_poll=yes
 else
@@ -17332,21 +17333,21 @@
 rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
 fi
-echo "$as_me:17335: result: $cf_cv_working_poll" >&5
+echo "$as_me:17336: result: $cf_cv_working_poll" >&5
 echo "${ECHO_T}$cf_cv_working_poll" >&6
 test "$cf_cv_working_poll" = "yes" &&
 cat >>confdefs.h <<\EOF
 #define HAVE_WORKING_POLL 1
 EOF
 
-echo "$as_me:17342: checking for va_copy" >&5
+echo "$as_me:17343: checking for va_copy" >&5
 echo $ECHO_N "checking for va_copy... $ECHO_C" >&6
 if test "${cf_cv_have_va_copy+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 17349 "configure"
+#line 17350 "configure"
 #include "confdefs.h"
 
 #include <stdarg.h>
@@ -17363,16 +17364,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:17366: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17367: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17369: \$? = $ac_status" >&5
+  echo "$as_me:17370: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:17372: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17373: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17375: \$? = $ac_status" >&5
+  echo "$as_me:17376: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_have_va_copy=yes
 else
@@ -17382,7 +17383,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:17385: result: $cf_cv_have_va_copy" >&5
+echo "$as_me:17386: result: $cf_cv_have_va_copy" >&5
 echo "${ECHO_T}$cf_cv_have_va_copy" >&6
 
 test "$cf_cv_have_va_copy" = yes &&
@@ -17390,14 +17391,14 @@
 #define HAVE_VA_COPY 1
 EOF
 
-echo "$as_me:17393: checking for __va_copy" >&5
+echo "$as_me:17394: checking for __va_copy" >&5
 echo $ECHO_N "checking for __va_copy... $ECHO_C" >&6
 if test "${cf_cv_have___va_copy+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 17400 "configure"
+#line 17401 "configure"
 #include "confdefs.h"
 
 #include <stdarg.h>
@@ -17414,16 +17415,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:17417: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17418: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17420: \$? = $ac_status" >&5
+  echo "$as_me:17421: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:17423: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17424: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17426: \$? = $ac_status" >&5
+  echo "$as_me:17427: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_have___va_copy=yes
 else
@@ -17433,7 +17434,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:17436: result: $cf_cv_have___va_copy" >&5
+echo "$as_me:17437: result: $cf_cv_have___va_copy" >&5
 echo "${ECHO_T}$cf_cv_have___va_copy" >&6
 
 test "$cf_cv_have___va_copy" = yes &&
@@ -17441,13 +17442,13 @@
 #define HAVE___VA_COPY 1
 EOF
 
-echo "$as_me:17444: checking for pid_t" >&5
+echo "$as_me:17445: checking for pid_t" >&5
 echo $ECHO_N "checking for pid_t... $ECHO_C" >&6
 if test "${ac_cv_type_pid_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 17450 "configure"
+#line 17451 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -17462,16 +17463,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:17465: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:17466: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:17468: \$? = $ac_status" >&5
+  echo "$as_me:17469: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:17471: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17472: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17474: \$? = $ac_status" >&5
+  echo "$as_me:17475: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_type_pid_t=yes
 else
@@ -17481,7 +17482,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:17484: result: $ac_cv_type_pid_t" >&5
+echo "$as_me:17485: result: $ac_cv_type_pid_t" >&5
 echo "${ECHO_T}$ac_cv_type_pid_t" >&6
 if test $ac_cv_type_pid_t = yes; then
   :
@@ -17496,23 +17497,23 @@
 for ac_header in unistd.h vfork.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:17499: checking for $ac_header" >&5
+echo "$as_me:17500: checking for $ac_header" >&5
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 17505 "configure"
+#line 17506 "configure"
 #include "confdefs.h"
 #include <$ac_header>
 _ACEOF
-if { (eval echo "$as_me:17509: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:17510: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:17515: \$? = $ac_status" >&5
+  echo "$as_me:17516: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -17531,7 +17532,7 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:17534: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:17535: result: `eval echo '${'$as_ac_Header'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
 if test `eval echo '${'$as_ac_Header'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -17544,13 +17545,13 @@
 for ac_func in fork vfork
 do
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
-echo "$as_me:17547: checking for $ac_func" >&5
+echo "$as_me:17548: checking for $ac_func" >&5
 echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
 if eval "test \"\${$as_ac_var+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 17553 "configure"
+#line 17554 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func (); below.  */
@@ -17581,16 +17582,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:17584: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17585: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17587: \$? = $ac_status" >&5
+  echo "$as_me:17588: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:17590: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17591: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17593: \$? = $ac_status" >&5
+  echo "$as_me:17594: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   eval "$as_ac_var=yes"
 else
@@ -17600,7 +17601,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:17603: result: `eval echo '${'$as_ac_var'}'`" >&5
+echo "$as_me:17604: result: `eval echo '${'$as_ac_var'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
 if test `eval echo '${'$as_ac_var'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -17612,7 +17613,7 @@
 
 ac_cv_func_fork_works=$ac_cv_func_fork
 if test "x$ac_cv_func_fork" = xyes; then
-  echo "$as_me:17615: checking for working fork" >&5
+  echo "$as_me:17616: checking for working fork" >&5
 echo $ECHO_N "checking for working fork... $ECHO_C" >&6
 if test "${ac_cv_func_fork_works+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -17635,15 +17636,15 @@
       }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:17638: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17639: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17641: \$? = $ac_status" >&5
+  echo "$as_me:17642: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:17643: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17644: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17646: \$? = $ac_status" >&5
+  echo "$as_me:17647: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_func_fork_works=yes
 else
@@ -17655,7 +17656,7 @@
 rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
 fi
-echo "$as_me:17658: result: $ac_cv_func_fork_works" >&5
+echo "$as_me:17659: result: $ac_cv_func_fork_works" >&5
 echo "${ECHO_T}$ac_cv_func_fork_works" >&6
 
 fi
@@ -17669,12 +17670,12 @@
       ac_cv_func_fork_works=yes
       ;;
   esac
-  { echo "$as_me:17672: WARNING: CROSS: Result $ac_cv_func_fork_works guessed due to cross-compiling." >&5
+  { echo "$as_me:17673: WARNING: CROSS: Result $ac_cv_func_fork_works guessed due to cross-compiling." >&5
 echo "$as_me: WARNING: CROSS: Result $ac_cv_func_fork_works guessed due to cross-compiling." >&2;}
 fi
 ac_cv_func_vfork_works=$ac_cv_func_vfork
 if test "x$ac_cv_func_vfork" = xyes; then
-  echo "$as_me:17677: checking for working vfork" >&5
+  echo "$as_me:17678: checking for working vfork" >&5
 echo $ECHO_N "checking for working vfork... $ECHO_C" >&6
 if test "${ac_cv_func_vfork_works+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -17683,7 +17684,7 @@
   ac_cv_func_vfork_works=cross
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 17686 "configure"
+#line 17687 "configure"
 #include "confdefs.h"
 /* Thanks to Paul Eggert for this test.  */
 #include <stdio.h>
@@ -17780,15 +17781,15 @@
 }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:17783: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17784: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17786: \$? = $ac_status" >&5
+  echo "$as_me:17787: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:17788: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17789: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17791: \$? = $ac_status" >&5
+  echo "$as_me:17792: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_func_vfork_works=yes
 else
@@ -17800,13 +17801,13 @@
 rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
 fi
-echo "$as_me:17803: result: $ac_cv_func_vfork_works" >&5
+echo "$as_me:17804: result: $ac_cv_func_vfork_works" >&5
 echo "${ECHO_T}$ac_cv_func_vfork_works" >&6
 
 fi;
 if test "x$ac_cv_func_fork_works" = xcross; then
   ac_cv_func_vfork_works=ac_cv_func_vfork
-  { echo "$as_me:17809: WARNING: CROSS: Result $ac_cv_func_vfork_works guessed due to cross-compiling." >&5
+  { echo "$as_me:17810: WARNING: CROSS: Result $ac_cv_func_vfork_works guessed due to cross-compiling." >&5
 echo "$as_me: WARNING: CROSS: Result $ac_cv_func_vfork_works guessed due to cross-compiling." >&2;}
 fi
 
@@ -17833,7 +17834,7 @@
 
 # special check for test/ditto.c
 
-echo "$as_me:17836: checking for openpty in -lutil" >&5
+echo "$as_me:17837: checking for openpty in -lutil" >&5
 echo $ECHO_N "checking for openpty in -lutil... $ECHO_C" >&6
 if test "${ac_cv_lib_util_openpty+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -17841,7 +17842,7 @@
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-lutil  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 17844 "configure"
+#line 17845 "configure"
 #include "confdefs.h"
 
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -17860,16 +17861,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:17863: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17864: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17866: \$? = $ac_status" >&5
+  echo "$as_me:17867: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:17869: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17870: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17872: \$? = $ac_status" >&5
+  echo "$as_me:17873: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_util_openpty=yes
 else
@@ -17880,7 +17881,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:17883: result: $ac_cv_lib_util_openpty" >&5
+echo "$as_me:17884: result: $ac_cv_lib_util_openpty" >&5
 echo "${ECHO_T}$ac_cv_lib_util_openpty" >&6
 if test $ac_cv_lib_util_openpty = yes; then
   cf_cv_lib_util=yes
@@ -17888,7 +17889,7 @@
   cf_cv_lib_util=no
 fi
 
-echo "$as_me:17891: checking for openpty header" >&5
+echo "$as_me:17892: checking for openpty header" >&5
 echo $ECHO_N "checking for openpty header... $ECHO_C" >&6
 if test "${cf_cv_func_openpty+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -17915,7 +17916,7 @@
     for cf_header in pty.h libutil.h util.h
     do
     cat >conftest.$ac_ext <<_ACEOF
-#line 17918 "configure"
+#line 17919 "configure"
 #include "confdefs.h"
 
 #include <$cf_header>
@@ -17932,16 +17933,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:17935: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17936: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17938: \$? = $ac_status" >&5
+  echo "$as_me:17939: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:17941: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17942: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17944: \$? = $ac_status" >&5
+  echo "$as_me:17945: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
         cf_cv_func_openpty=$cf_header
@@ -17959,7 +17960,7 @@
     LIBS="$cf_save_LIBS"
 
 fi
-echo "$as_me:17962: result: $cf_cv_func_openpty" >&5
+echo "$as_me:17963: result: $cf_cv_func_openpty" >&5
 echo "${ECHO_T}$cf_cv_func_openpty" >&6
 
 if test "$cf_cv_func_openpty" != no ; then
@@ -18029,7 +18030,7 @@
 			  cf_save_CPPFLAGS=$CPPFLAGS
 			  CPPFLAGS="$CPPFLAGS -I$cf_add_incdir"
 			  cat >conftest.$ac_ext <<_ACEOF
-#line 18032 "configure"
+#line 18033 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 int
@@ -18041,16 +18042,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:18044: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:18045: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:18047: \$? = $ac_status" >&5
+  echo "$as_me:18048: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:18050: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18051: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18053: \$? = $ac_status" >&5
+  echo "$as_me:18054: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   :
 else
@@ -18067,7 +18068,7 @@
 		if test "$cf_have_incdir" = no ; then
 		  test -n "$verbose" && echo "	adding $cf_add_incdir to include-path" 1>&6
 
-echo "${as_me:-configure}:18070: testing adding $cf_add_incdir to include-path ..." 1>&5
+echo "${as_me:-configure}:18071: testing adding $cf_add_incdir to include-path ..." 1>&5
 
 		  CPPFLAGS="$CPPFLAGS -I$cf_add_incdir"
 
@@ -18101,7 +18102,7 @@
       if test "$cf_have_libdir" = no ; then
         test -n "$verbose" && echo "	adding $cf_add_libdir to library-path" 1>&6
 
-echo "${as_me:-configure}:18104: testing adding $cf_add_libdir to library-path ..." 1>&5
+echo "${as_me:-configure}:18105: testing adding $cf_add_libdir to library-path ..." 1>&5
 
         LDFLAGS="-L$cf_add_libdir $LDFLAGS"
       fi
@@ -18112,7 +18113,7 @@
 	else
 		case "$with_hashed_db" in #(vi
 		./*|../*|/*)
-			{ echo "$as_me:18115: WARNING: no such directory $with_hashed_db" >&5
+			{ echo "$as_me:18116: WARNING: no such directory $with_hashed_db" >&5
 echo "$as_me: WARNING: no such directory $with_hashed_db" >&2;}
 			;; #(vi
 		*)
@@ -18203,7 +18204,7 @@
 			  cf_save_CPPFLAGS=$CPPFLAGS
 			  CPPFLAGS="$CPPFLAGS -I$cf_add_incdir"
 			  cat >conftest.$ac_ext <<_ACEOF
-#line 18206 "configure"
+#line 18207 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 int
@@ -18215,16 +18216,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:18218: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:18219: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:18221: \$? = $ac_status" >&5
+  echo "$as_me:18222: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:18224: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18225: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18227: \$? = $ac_status" >&5
+  echo "$as_me:18228: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   :
 else
@@ -18241,7 +18242,7 @@
 		if test "$cf_have_incdir" = no ; then
 		  test -n "$verbose" && echo "	adding $cf_add_incdir to include-path" 1>&6
 
-echo "${as_me:-configure}:18244: testing adding $cf_add_incdir to include-path ..." 1>&5
+echo "${as_me:-configure}:18245: testing adding $cf_add_incdir to include-path ..." 1>&5
 
 		  CPPFLAGS="$CPPFLAGS -I$cf_add_incdir"
 
@@ -18341,7 +18342,7 @@
       if test "$cf_have_libdir" = no ; then
         test -n "$verbose" && echo "	adding $cf_add_libdir to library-path" 1>&6
 
-echo "${as_me:-configure}:18344: testing adding $cf_add_libdir to library-path ..." 1>&5
+echo "${as_me:-configure}:18345: testing adding $cf_add_libdir to library-path ..." 1>&5
 
         LDFLAGS="-L$cf_add_libdir $LDFLAGS"
       fi
@@ -18358,23 +18359,23 @@
     fi
 esac
 
-echo "$as_me:18361: checking for db.h" >&5
+echo "$as_me:18362: checking for db.h" >&5
 echo $ECHO_N "checking for db.h... $ECHO_C" >&6
 if test "${ac_cv_header_db_h+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 18367 "configure"
+#line 18368 "configure"
 #include "confdefs.h"
 #include <db.h>
 _ACEOF
-if { (eval echo "$as_me:18371: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:18372: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:18377: \$? = $ac_status" >&5
+  echo "$as_me:18378: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -18393,11 +18394,11 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:18396: result: $ac_cv_header_db_h" >&5
+echo "$as_me:18397: result: $ac_cv_header_db_h" >&5
 echo "${ECHO_T}$ac_cv_header_db_h" >&6
 if test $ac_cv_header_db_h = yes; then
 
-echo "$as_me:18400: checking for version of db" >&5
+echo "$as_me:18401: checking for version of db" >&5
 echo $ECHO_N "checking for version of db... $ECHO_C" >&6
 if test "${cf_cv_hashed_db_version+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -18408,10 +18409,10 @@
 for cf_db_version in 1 2 3 4 5 6
 do
 
-echo "${as_me:-configure}:18411: testing checking for db version $cf_db_version ..." 1>&5
+echo "${as_me:-configure}:18412: testing checking for db version $cf_db_version ..." 1>&5
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 18414 "configure"
+#line 18415 "configure"
 #include "confdefs.h"
 
 $ac_includes_default
@@ -18441,16 +18442,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:18444: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:18445: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:18447: \$? = $ac_status" >&5
+  echo "$as_me:18448: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:18450: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18451: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18453: \$? = $ac_status" >&5
+  echo "$as_me:18454: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
 	cf_cv_hashed_db_version=$cf_db_version
@@ -18464,16 +18465,16 @@
 done
 
 fi
-echo "$as_me:18467: result: $cf_cv_hashed_db_version" >&5
+echo "$as_me:18468: result: $cf_cv_hashed_db_version" >&5
 echo "${ECHO_T}$cf_cv_hashed_db_version" >&6
 
 if test "$cf_cv_hashed_db_version" = unknown ; then
-	{ { echo "$as_me:18471: error: Cannot determine version of db" >&5
+	{ { echo "$as_me:18472: error: Cannot determine version of db" >&5
 echo "$as_me: error: Cannot determine version of db" >&2;}
    { (exit 1); exit 1; }; }
 else
 
-echo "$as_me:18476: checking for db libraries" >&5
+echo "$as_me:18477: checking for db libraries" >&5
 echo $ECHO_N "checking for db libraries... $ECHO_C" >&6
 if test "${cf_cv_hashed_db_libs+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -18503,10 +18504,10 @@
 
 	fi
 
-echo "${as_me:-configure}:18506: testing checking for library "$cf_db_libs" ..." 1>&5
+echo "${as_me:-configure}:18507: testing checking for library "$cf_db_libs" ..." 1>&5
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 18509 "configure"
+#line 18510 "configure"
 #include "confdefs.h"
 
 $ac_includes_default
@@ -18561,16 +18562,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:18564: \"$ac_link\"") >&5
+if { (eval echo "$as_me:18565: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:18567: \$? = $ac_status" >&5
+  echo "$as_me:18568: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:18570: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18571: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18573: \$? = $ac_status" >&5
+  echo "$as_me:18574: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
 	if test -n "$cf_db_libs" ; then
@@ -18590,11 +18591,11 @@
 done
 
 fi
-echo "$as_me:18593: result: $cf_cv_hashed_db_libs" >&5
+echo "$as_me:18594: result: $cf_cv_hashed_db_libs" >&5
 echo "${ECHO_T}$cf_cv_hashed_db_libs" >&6
 
 	if test "$cf_cv_hashed_db_libs" = unknown ; then
-		{ { echo "$as_me:18597: error: Cannot determine library for db" >&5
+		{ { echo "$as_me:18598: error: Cannot determine library for db" >&5
 echo "$as_me: error: Cannot determine library for db" >&2;}
    { (exit 1); exit 1; }; }
 	elif test "$cf_cv_hashed_db_libs" != default ; then
@@ -18620,7 +18621,7 @@
 
 else
 
-	{ { echo "$as_me:18623: error: Cannot find db.h" >&5
+	{ { echo "$as_me:18624: error: Cannot find db.h" >&5
 echo "$as_me: error: Cannot find db.h" >&2;}
    { (exit 1); exit 1; }; }
 
@@ -18635,7 +18636,7 @@
 
 # Just in case, check if the C compiler has a bool type.
 
-echo "$as_me:18638: checking if we should include stdbool.h" >&5
+echo "$as_me:18639: checking if we should include stdbool.h" >&5
 echo $ECHO_N "checking if we should include stdbool.h... $ECHO_C" >&6
 
 if test "${cf_cv_header_stdbool_h+set}" = set; then
@@ -18643,7 +18644,7 @@
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 18646 "configure"
+#line 18647 "configure"
 #include "confdefs.h"
 
 int
@@ -18655,23 +18656,23 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:18658: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:18659: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:18661: \$? = $ac_status" >&5
+  echo "$as_me:18662: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:18664: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18665: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18667: \$? = $ac_status" >&5
+  echo "$as_me:18668: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_header_stdbool_h=0
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 cat >conftest.$ac_ext <<_ACEOF
-#line 18674 "configure"
+#line 18675 "configure"
 #include "confdefs.h"
 
 #ifndef __BEOS__
@@ -18687,16 +18688,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:18690: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:18691: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:18693: \$? = $ac_status" >&5
+  echo "$as_me:18694: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:18696: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18697: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18699: \$? = $ac_status" >&5
+  echo "$as_me:18700: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_header_stdbool_h=1
 else
@@ -18710,13 +18711,13 @@
 fi
 
 if test "$cf_cv_header_stdbool_h" = 1
-then	echo "$as_me:18713: result: yes" >&5
+then	echo "$as_me:18714: result: yes" >&5
 echo "${ECHO_T}yes" >&6
-else	echo "$as_me:18715: result: no" >&5
+else	echo "$as_me:18716: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
-echo "$as_me:18719: checking for builtin bool type" >&5
+echo "$as_me:18720: checking for builtin bool type" >&5
 echo $ECHO_N "checking for builtin bool type... $ECHO_C" >&6
 
 if test "${cf_cv_cc_bool_type+set}" = set; then
@@ -18724,7 +18725,7 @@
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 18727 "configure"
+#line 18728 "configure"
 #include "confdefs.h"
 
 #include <stdio.h>
@@ -18739,16 +18740,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:18742: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:18743: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:18745: \$? = $ac_status" >&5
+  echo "$as_me:18746: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:18748: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18749: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18751: \$? = $ac_status" >&5
+  echo "$as_me:18752: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_cc_bool_type=1
 else
@@ -18761,9 +18762,9 @@
 fi
 
 if test "$cf_cv_cc_bool_type" = 1
-then	echo "$as_me:18764: result: yes" >&5
+then	echo "$as_me:18765: result: yes" >&5
 echo "${ECHO_T}yes" >&6
-else	echo "$as_me:18766: result: no" >&5
+else	echo "$as_me:18767: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -18785,7 +18786,7 @@
 	cf_stdcpp_libname=stdc++
 	;;
 esac
-echo "$as_me:18788: checking for library $cf_stdcpp_libname" >&5
+echo "$as_me:18789: checking for library $cf_stdcpp_libname" >&5
 echo $ECHO_N "checking for library $cf_stdcpp_libname... $ECHO_C" >&6
 if test "${cf_cv_libstdcpp+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -18810,7 +18811,7 @@
 LIBS="$cf_add_libs"
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 18813 "configure"
+#line 18814 "configure"
 #include "confdefs.h"
 
 #include <strstream.h>
@@ -18826,16 +18827,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:18829: \"$ac_link\"") >&5
+if { (eval echo "$as_me:18830: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:18832: \$? = $ac_status" >&5
+  echo "$as_me:18833: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:18835: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18836: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18838: \$? = $ac_status" >&5
+  echo "$as_me:18839: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_libstdcpp=yes
 else
@@ -18847,7 +18848,7 @@
 	LIBS="$cf_save"
 
 fi
-echo "$as_me:18850: result: $cf_cv_libstdcpp" >&5
+echo "$as_me:18851: result: $cf_cv_libstdcpp" >&5
 echo "${ECHO_T}$cf_cv_libstdcpp" >&6
 test "$cf_cv_libstdcpp" = yes &&
 cf_add_libs="-l$cf_stdcpp_libname"
@@ -18868,7 +18869,7 @@
 
 fi
 
-	echo "$as_me:18871: checking whether $CXX understands -c and -o together" >&5
+	echo "$as_me:18872: checking whether $CXX understands -c and -o together" >&5
 echo $ECHO_N "checking whether $CXX understands -c and -o together... $ECHO_C" >&6
 if test "${cf_cv_prog_CXX_c_o+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -18884,15 +18885,15 @@
 # We do the test twice because some compilers refuse to overwrite an
 # existing .o file with -o, though they will create one.
 ac_try='$CXX -c conftest.$ac_ext -o conftest2.$ac_objext >&5'
-if { (eval echo "$as_me:18887: \"$ac_try\"") >&5
+if { (eval echo "$as_me:18888: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18890: \$? = $ac_status" >&5
+  echo "$as_me:18891: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-  test -f conftest2.$ac_objext && { (eval echo "$as_me:18892: \"$ac_try\"") >&5
+  test -f conftest2.$ac_objext && { (eval echo "$as_me:18893: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18895: \$? = $ac_status" >&5
+  echo "$as_me:18896: \$? = $ac_status" >&5
   (exit $ac_status); };
 then
   eval cf_cv_prog_CXX_c_o=yes
@@ -18903,10 +18904,10 @@
 
 fi
 if test $cf_cv_prog_CXX_c_o = yes; then
-  echo "$as_me:18906: result: yes" >&5
+  echo "$as_me:18907: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 else
-  echo "$as_me:18909: result: no" >&5
+  echo "$as_me:18910: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -18926,7 +18927,7 @@
 	;;
 esac
 if test "$GXX" = yes; then
-	echo "$as_me:18929: checking for lib$cf_gpp_libname" >&5
+	echo "$as_me:18930: checking for lib$cf_gpp_libname" >&5
 echo $ECHO_N "checking for lib$cf_gpp_libname... $ECHO_C" >&6
 	cf_save="$LIBS"
 
@@ -18947,7 +18948,7 @@
 LIBS="$cf_add_libs"
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 18950 "configure"
+#line 18951 "configure"
 #include "confdefs.h"
 
 #include <$cf_gpp_libname/builtin.h>
@@ -18961,16 +18962,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:18964: \"$ac_link\"") >&5
+if { (eval echo "$as_me:18965: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:18967: \$? = $ac_status" >&5
+  echo "$as_me:18968: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:18970: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18971: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18973: \$? = $ac_status" >&5
+  echo "$as_me:18974: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cxx_library=yes
 
@@ -19007,7 +19008,7 @@
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 cat >conftest.$ac_ext <<_ACEOF
-#line 19010 "configure"
+#line 19011 "configure"
 #include "confdefs.h"
 
 #include <builtin.h>
@@ -19021,16 +19022,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:19024: \"$ac_link\"") >&5
+if { (eval echo "$as_me:19025: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:19027: \$? = $ac_status" >&5
+  echo "$as_me:19028: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:19030: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19031: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19033: \$? = $ac_status" >&5
+  echo "$as_me:19034: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cxx_library=yes
 
@@ -19063,7 +19064,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 	LIBS="$cf_save"
-	echo "$as_me:19066: result: $cf_cxx_library" >&5
+	echo "$as_me:19067: result: $cf_cxx_library" >&5
 echo "${ECHO_T}$cf_cxx_library" >&6
 fi
 
@@ -19079,7 +19080,7 @@
 ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
 ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 ac_main_return=return
-echo "$as_me:19082: checking how to run the C++ preprocessor" >&5
+echo "$as_me:19083: checking how to run the C++ preprocessor" >&5
 echo $ECHO_N "checking how to run the C++ preprocessor... $ECHO_C" >&6
 if test -z "$CXXCPP"; then
   if test "${ac_cv_prog_CXXCPP+set}" = set; then
@@ -19096,18 +19097,18 @@
   # On the NeXT, cc -E runs the code through the compiler's parser,
   # not just through cpp. "Syntax error" is here to catch this case.
   cat >conftest.$ac_ext <<_ACEOF
-#line 19099 "configure"
+#line 19100 "configure"
 #include "confdefs.h"
 #include <assert.h>
                      Syntax error
 _ACEOF
-if { (eval echo "$as_me:19104: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:19105: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:19110: \$? = $ac_status" >&5
+  echo "$as_me:19111: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_cxx_preproc_warn_flag
@@ -19130,17 +19131,17 @@
   # OK, works on sane cases.  Now check whether non-existent headers
   # can be detected and how.
   cat >conftest.$ac_ext <<_ACEOF
-#line 19133 "configure"
+#line 19134 "configure"
 #include "confdefs.h"
 #include <ac_nonexistent.h>
 _ACEOF
-if { (eval echo "$as_me:19137: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:19138: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:19143: \$? = $ac_status" >&5
+  echo "$as_me:19144: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_cxx_preproc_warn_flag
@@ -19177,7 +19178,7 @@
 else
   ac_cv_prog_CXXCPP=$CXXCPP
 fi
-echo "$as_me:19180: result: $CXXCPP" >&5
+echo "$as_me:19181: result: $CXXCPP" >&5
 echo "${ECHO_T}$CXXCPP" >&6
 ac_preproc_ok=false
 for ac_cxx_preproc_warn_flag in '' yes
@@ -19187,18 +19188,18 @@
   # On the NeXT, cc -E runs the code through the compiler's parser,
   # not just through cpp. "Syntax error" is here to catch this case.
   cat >conftest.$ac_ext <<_ACEOF
-#line 19190 "configure"
+#line 19191 "configure"
 #include "confdefs.h"
 #include <assert.h>
                      Syntax error
 _ACEOF
-if { (eval echo "$as_me:19195: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:19196: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:19201: \$? = $ac_status" >&5
+  echo "$as_me:19202: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_cxx_preproc_warn_flag
@@ -19221,17 +19222,17 @@
   # OK, works on sane cases.  Now check whether non-existent headers
   # can be detected and how.
   cat >conftest.$ac_ext <<_ACEOF
-#line 19224 "configure"
+#line 19225 "configure"
 #include "confdefs.h"
 #include <ac_nonexistent.h>
 _ACEOF
-if { (eval echo "$as_me:19228: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:19229: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:19234: \$? = $ac_status" >&5
+  echo "$as_me:19235: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_cxx_preproc_warn_flag
@@ -19259,7 +19260,7 @@
 if $ac_preproc_ok; then
   :
 else
-  { { echo "$as_me:19262: error: C++ preprocessor \"$CXXCPP\" fails sanity check" >&5
+  { { echo "$as_me:19263: error: C++ preprocessor \"$CXXCPP\" fails sanity check" >&5
 echo "$as_me: error: C++ preprocessor \"$CXXCPP\" fails sanity check" >&2;}
    { (exit 1); exit 1; }; }
 fi
@@ -19274,23 +19275,23 @@
 for ac_header in typeinfo
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:19277: checking for $ac_header" >&5
+echo "$as_me:19278: checking for $ac_header" >&5
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 19283 "configure"
+#line 19284 "configure"
 #include "confdefs.h"
 #include <$ac_header>
 _ACEOF
-if { (eval echo "$as_me:19287: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:19288: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:19293: \$? = $ac_status" >&5
+  echo "$as_me:19294: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_cxx_preproc_warn_flag
@@ -19309,7 +19310,7 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:19312: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:19313: result: `eval echo '${'$as_ac_Header'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
 if test `eval echo '${'$as_ac_Header'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -19322,23 +19323,23 @@
 for ac_header in iostream
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:19325: checking for $ac_header" >&5
+echo "$as_me:19326: checking for $ac_header" >&5
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 19331 "configure"
+#line 19332 "configure"
 #include "confdefs.h"
 #include <$ac_header>
 _ACEOF
-if { (eval echo "$as_me:19335: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:19336: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:19341: \$? = $ac_status" >&5
+  echo "$as_me:19342: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_cxx_preproc_warn_flag
@@ -19357,7 +19358,7 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:19360: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:19361: result: `eval echo '${'$as_ac_Header'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
 if test `eval echo '${'$as_ac_Header'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -19368,10 +19369,10 @@
 done
 
 if test x"$ac_cv_header_iostream" = xyes ; then
-	echo "$as_me:19371: checking if iostream uses std-namespace" >&5
+	echo "$as_me:19372: checking if iostream uses std-namespace" >&5
 echo $ECHO_N "checking if iostream uses std-namespace... $ECHO_C" >&6
 	cat >conftest.$ac_ext <<_ACEOF
-#line 19374 "configure"
+#line 19375 "configure"
 #include "confdefs.h"
 
 #include <iostream>
@@ -19388,16 +19389,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:19391: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:19392: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:19394: \$? = $ac_status" >&5
+  echo "$as_me:19395: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:19397: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19398: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19400: \$? = $ac_status" >&5
+  echo "$as_me:19401: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_iostream_namespace=yes
 else
@@ -19406,7 +19407,7 @@
 cf_iostream_namespace=no
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-	echo "$as_me:19409: result: $cf_iostream_namespace" >&5
+	echo "$as_me:19410: result: $cf_iostream_namespace" >&5
 echo "${ECHO_T}$cf_iostream_namespace" >&6
 	if test "$cf_iostream_namespace" = yes ; then
 
@@ -19417,7 +19418,7 @@
 	fi
 fi
 
-echo "$as_me:19420: checking if we should include stdbool.h" >&5
+echo "$as_me:19421: checking if we should include stdbool.h" >&5
 echo $ECHO_N "checking if we should include stdbool.h... $ECHO_C" >&6
 
 if test "${cf_cv_header_stdbool_h+set}" = set; then
@@ -19425,7 +19426,7 @@
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 19428 "configure"
+#line 19429 "configure"
 #include "confdefs.h"
 
 int
@@ -19437,23 +19438,23 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:19440: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:19441: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:19443: \$? = $ac_status" >&5
+  echo "$as_me:19444: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:19446: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19447: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19449: \$? = $ac_status" >&5
+  echo "$as_me:19450: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_header_stdbool_h=0
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 cat >conftest.$ac_ext <<_ACEOF
-#line 19456 "configure"
+#line 19457 "configure"
 #include "confdefs.h"
 
 #ifndef __BEOS__
@@ -19469,16 +19470,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:19472: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:19473: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:19475: \$? = $ac_status" >&5
+  echo "$as_me:19476: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:19478: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19479: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19481: \$? = $ac_status" >&5
+  echo "$as_me:19482: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_header_stdbool_h=1
 else
@@ -19492,13 +19493,13 @@
 fi
 
 if test "$cf_cv_header_stdbool_h" = 1
-then	echo "$as_me:19495: result: yes" >&5
+then	echo "$as_me:19496: result: yes" >&5
 echo "${ECHO_T}yes" >&6
-else	echo "$as_me:19497: result: no" >&5
+else	echo "$as_me:19498: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
-echo "$as_me:19501: checking for builtin bool type" >&5
+echo "$as_me:19502: checking for builtin bool type" >&5
 echo $ECHO_N "checking for builtin bool type... $ECHO_C" >&6
 
 if test "${cf_cv_builtin_bool+set}" = set; then
@@ -19506,7 +19507,7 @@
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 19509 "configure"
+#line 19510 "configure"
 #include "confdefs.h"
 
 #include <stdio.h>
@@ -19521,16 +19522,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:19524: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:19525: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:19527: \$? = $ac_status" >&5
+  echo "$as_me:19528: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:19530: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19531: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19533: \$? = $ac_status" >&5
+  echo "$as_me:19534: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_builtin_bool=1
 else
@@ -19543,13 +19544,13 @@
 fi
 
 if test "$cf_cv_builtin_bool" = 1
-then	echo "$as_me:19546: result: yes" >&5
+then	echo "$as_me:19547: result: yes" >&5
 echo "${ECHO_T}yes" >&6
-else	echo "$as_me:19548: result: no" >&5
+else	echo "$as_me:19549: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
-echo "$as_me:19552: checking for size of bool" >&5
+echo "$as_me:19553: checking for size of bool" >&5
 echo $ECHO_N "checking for size of bool... $ECHO_C" >&6
 if test "${cf_cv_type_of_bool+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -19560,7 +19561,7 @@
   cf_cv_type_of_bool=unknown
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 19563 "configure"
+#line 19564 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -19602,15 +19603,15 @@
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:19605: \"$ac_link\"") >&5
+if { (eval echo "$as_me:19606: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:19608: \$? = $ac_status" >&5
+  echo "$as_me:19609: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:19610: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19611: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19613: \$? = $ac_status" >&5
+  echo "$as_me:19614: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_type_of_bool=`cat cf_test.out`
 		 if test -z "$cf_cv_type_of_bool"; then
@@ -19628,18 +19629,18 @@
 fi
 
 	rm -f cf_test.out
-echo "$as_me:19631: result: $cf_cv_type_of_bool" >&5
+echo "$as_me:19632: result: $cf_cv_type_of_bool" >&5
 echo "${ECHO_T}$cf_cv_type_of_bool" >&6
 if test "$cf_cv_type_of_bool" = unknown ; then
 	case .$NCURSES_BOOL in #(vi
 	.auto|.) NCURSES_BOOL=unsigned;;
 	esac
-	{ echo "$as_me:19637: WARNING: Assuming $NCURSES_BOOL for type of bool" >&5
+	{ echo "$as_me:19638: WARNING: Assuming $NCURSES_BOOL for type of bool" >&5
 echo "$as_me: WARNING: Assuming $NCURSES_BOOL for type of bool" >&2;}
 	cf_cv_type_of_bool=$NCURSES_BOOL
 fi
 
-echo "$as_me:19642: checking for special defines needed for etip.h" >&5
+echo "$as_me:19643: checking for special defines needed for etip.h" >&5
 echo $ECHO_N "checking for special defines needed for etip.h... $ECHO_C" >&6
 cf_save_CXXFLAGS="$CXXFLAGS"
 cf_result="none"
@@ -19657,7 +19658,7 @@
 	test -n "$cf_math" && CXXFLAGS="$CXXFLAGS -DETIP_NEEDS_${cf_math}"
 	test -n "$cf_excp" && CXXFLAGS="$CXXFLAGS -DETIP_NEEDS_${cf_excp}"
 cat >conftest.$ac_ext <<_ACEOF
-#line 19660 "configure"
+#line 19661 "configure"
 #include "confdefs.h"
 
 #include <etip.h.in>
@@ -19671,16 +19672,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:19674: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:19675: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:19677: \$? = $ac_status" >&5
+  echo "$as_me:19678: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:19680: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19681: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19683: \$? = $ac_status" >&5
+  echo "$as_me:19684: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
 	test -n "$cf_math" && cat >>confdefs.h <<EOF
@@ -19701,12 +19702,12 @@
 rm -f conftest.$ac_objext conftest.$ac_ext
 done
 done
-echo "$as_me:19704: result: $cf_result" >&5
+echo "$as_me:19705: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 CXXFLAGS="$cf_save_CXXFLAGS"
 
 if test -n "$CXX"; then
-echo "$as_me:19709: checking if $CXX accepts parameter initialization" >&5
+echo "$as_me:19710: checking if $CXX accepts parameter initialization" >&5
 echo $ECHO_N "checking if $CXX accepts parameter initialization... $ECHO_C" >&6
 if test "${cf_cv_cpp_param_init+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -19723,7 +19724,7 @@
   cf_cv_cpp_param_init=unknown
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 19726 "configure"
+#line 19727 "configure"
 #include "confdefs.h"
 
 class TEST {
@@ -19742,15 +19743,15 @@
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:19745: \"$ac_link\"") >&5
+if { (eval echo "$as_me:19746: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:19748: \$? = $ac_status" >&5
+  echo "$as_me:19749: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:19750: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19751: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19753: \$? = $ac_status" >&5
+  echo "$as_me:19754: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_cpp_param_init=yes
 else
@@ -19769,7 +19770,7 @@
 ac_main_return=return
 
 fi
-echo "$as_me:19772: result: $cf_cv_cpp_param_init" >&5
+echo "$as_me:19773: result: $cf_cv_cpp_param_init" >&5
 echo "${ECHO_T}$cf_cv_cpp_param_init" >&6
 fi
 test "$cf_cv_cpp_param_init" = yes &&
@@ -19779,7 +19780,7 @@
 
 if test -n "$CXX"; then
 
-echo "$as_me:19782: checking if $CXX accepts static_cast" >&5
+echo "$as_me:19783: checking if $CXX accepts static_cast" >&5
 echo $ECHO_N "checking if $CXX accepts static_cast... $ECHO_C" >&6
 if test "${cf_cv_cpp_static_cast+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -19793,7 +19794,7 @@
 ac_main_return=return
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 19796 "configure"
+#line 19797 "configure"
 #include "confdefs.h"
 
 class NCursesPanel
@@ -19837,16 +19838,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:19840: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:19841: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:19843: \$? = $ac_status" >&5
+  echo "$as_me:19844: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:19846: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19847: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19849: \$? = $ac_status" >&5
+  echo "$as_me:19850: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_cpp_static_cast=yes
 else
@@ -19864,7 +19865,7 @@
 ac_main_return=return
 
 fi
-echo "$as_me:19867: result: $cf_cv_cpp_static_cast" >&5
+echo "$as_me:19868: result: $cf_cv_cpp_static_cast" >&5
 echo "${ECHO_T}$cf_cv_cpp_static_cast" >&6
 
 fi
@@ -19913,7 +19914,7 @@
 	else
 		if test "$cf_cv_header_stdbool_h" = 1 ; then
 
-echo "$as_me:19916: checking for size of bool" >&5
+echo "$as_me:19917: checking for size of bool" >&5
 echo $ECHO_N "checking for size of bool... $ECHO_C" >&6
 if test "${cf_cv_type_of_bool+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -19924,7 +19925,7 @@
   cf_cv_type_of_bool=unknown
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 19927 "configure"
+#line 19928 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -19966,15 +19967,15 @@
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:19969: \"$ac_link\"") >&5
+if { (eval echo "$as_me:19970: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:19972: \$? = $ac_status" >&5
+  echo "$as_me:19973: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:19974: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19975: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19977: \$? = $ac_status" >&5
+  echo "$as_me:19978: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_type_of_bool=`cat cf_test.out`
 		 if test -z "$cf_cv_type_of_bool"; then
@@ -19992,25 +19993,25 @@
 fi
 
 	rm -f cf_test.out
-echo "$as_me:19995: result: $cf_cv_type_of_bool" >&5
+echo "$as_me:19996: result: $cf_cv_type_of_bool" >&5
 echo "${ECHO_T}$cf_cv_type_of_bool" >&6
 if test "$cf_cv_type_of_bool" = unknown ; then
 	case .$NCURSES_BOOL in #(vi
 	.auto|.) NCURSES_BOOL=unsigned;;
 	esac
-	{ echo "$as_me:20001: WARNING: Assuming $NCURSES_BOOL for type of bool" >&5
+	{ echo "$as_me:20002: WARNING: Assuming $NCURSES_BOOL for type of bool" >&5
 echo "$as_me: WARNING: Assuming $NCURSES_BOOL for type of bool" >&2;}
 	cf_cv_type_of_bool=$NCURSES_BOOL
 fi
 
 		else
-			echo "$as_me:20007: checking for fallback type of bool" >&5
+			echo "$as_me:20008: checking for fallback type of bool" >&5
 echo $ECHO_N "checking for fallback type of bool... $ECHO_C" >&6
 			case "$host_cpu" in #(vi
 			i?86)	cf_cv_type_of_bool=char	;; #(vi
 			*)	cf_cv_type_of_bool=int	;;
 			esac
-			echo "$as_me:20013: result: $cf_cv_type_of_bool" >&5
+			echo "$as_me:20014: result: $cf_cv_type_of_bool" >&5
 echo "${ECHO_T}$cf_cv_type_of_bool" >&6
 		fi
 	fi
@@ -20039,7 +20040,7 @@
 
 	if test "$cf_with_ada" != "no" ; then
 		if test "$with_libtool" != "no"; then
-			{ echo "$as_me:20042: WARNING: libtool does not support Ada - disabling feature" >&5
+			{ echo "$as_me:20043: WARNING: libtool does not support Ada - disabling feature" >&5
 echo "$as_me: WARNING: libtool does not support Ada - disabling feature" >&2;}
 			cf_with_ada=no
 		fi
@@ -20050,7 +20051,7 @@
 cf_ada_make=gnatmake
 # Extract the first word of "$cf_ada_make", so it can be a program name with args.
 set dummy $cf_ada_make; ac_word=$2
-echo "$as_me:20053: checking for $ac_word" >&5
+echo "$as_me:20054: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_gnat_exists+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -20065,7 +20066,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_gnat_exists="yes"
-echo "$as_me:20068: found $ac_dir/$ac_word" >&5
+echo "$as_me:20069: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -20074,10 +20075,10 @@
 fi
 gnat_exists=$ac_cv_prog_gnat_exists
 if test -n "$gnat_exists"; then
-  echo "$as_me:20077: result: $gnat_exists" >&5
+  echo "$as_me:20078: result: $gnat_exists" >&5
 echo "${ECHO_T}$gnat_exists" >&6
 else
-  echo "$as_me:20080: result: no" >&5
+  echo "$as_me:20081: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -20086,12 +20087,12 @@
    cf_cv_prog_gnat_correct=no
 else
 
-echo "$as_me:20089: checking for gnat version" >&5
+echo "$as_me:20090: checking for gnat version" >&5
 echo $ECHO_N "checking for gnat version... $ECHO_C" >&6
 cf_gnat_version=`${cf_ada_make:-gnatmake} -v 2>&1 | \
 	grep '[0-9].[0-9][0-9]*' |\
     sed -e '2,$d' -e 's/[^0-9 \.]//g' -e 's/^[ ]*//' -e 's/ .*//'`
-echo "$as_me:20094: result: $cf_gnat_version" >&5
+echo "$as_me:20095: result: $cf_gnat_version" >&5
 echo "${ECHO_T}$cf_gnat_version" >&6
 
 case $cf_gnat_version in #(vi
@@ -20099,7 +20100,7 @@
 	cf_cv_prog_gnat_correct=yes
 	;;
 *)
-	{ echo "$as_me:20102: WARNING: Unsupported GNAT version $cf_gnat_version. We require 3.11 or better. Disabling Ada95 binding." >&5
+	{ echo "$as_me:20103: WARNING: Unsupported GNAT version $cf_gnat_version. We require 3.11 or better. Disabling Ada95 binding." >&5
 echo "$as_me: WARNING: Unsupported GNAT version $cf_gnat_version. We require 3.11 or better. Disabling Ada95 binding." >&2;}
 	cf_cv_prog_gnat_correct=no
 	;;
@@ -20107,7 +20108,7 @@
 
    # Extract the first word of "m4", so it can be a program name with args.
 set dummy m4; ac_word=$2
-echo "$as_me:20110: checking for $ac_word" >&5
+echo "$as_me:20111: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_M4_exists+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -20122,7 +20123,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_M4_exists="yes"
-echo "$as_me:20125: found $ac_dir/$ac_word" >&5
+echo "$as_me:20126: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -20131,10 +20132,10 @@
 fi
 M4_exists=$ac_cv_prog_M4_exists
 if test -n "$M4_exists"; then
-  echo "$as_me:20134: result: $M4_exists" >&5
+  echo "$as_me:20135: result: $M4_exists" >&5
 echo "${ECHO_T}$M4_exists" >&6
 else
-  echo "$as_me:20137: result: no" >&5
+  echo "$as_me:20138: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -20143,7 +20144,7 @@
       echo Ada95 binding required program m4 not found. Ada95 binding disabled.
    fi
    if test "$cf_cv_prog_gnat_correct" = yes; then
-      echo "$as_me:20146: checking if GNAT works" >&5
+      echo "$as_me:20147: checking if GNAT works" >&5
 echo $ECHO_N "checking if GNAT works... $ECHO_C" >&6
 
 rm -rf conftest* *~conftest*
@@ -20171,7 +20172,7 @@
 fi
 rm -rf conftest* *~conftest*
 
-      echo "$as_me:20174: result: $cf_cv_prog_gnat_correct" >&5
+      echo "$as_me:20175: result: $cf_cv_prog_gnat_correct" >&5
 echo "${ECHO_T}$cf_cv_prog_gnat_correct" >&6
    fi
 fi
@@ -20180,7 +20181,7 @@
 
  	ADAFLAGS="$ADAFLAGS -gnatpn"
 
-	echo "$as_me:20183: checking optimization options for ADAFLAGS" >&5
+	echo "$as_me:20184: checking optimization options for ADAFLAGS" >&5
 echo $ECHO_N "checking optimization options for ADAFLAGS... $ECHO_C" >&6
 	case "$CFLAGS" in
 	*-g*)
@@ -20197,10 +20198,24 @@
 
 		;;
 	esac
-	echo "$as_me:20200: result: $ADAFLAGS" >&5
+	echo "$as_me:20201: result: $ADAFLAGS" >&5
 echo "${ECHO_T}$ADAFLAGS" >&6
 
-echo "$as_me:20203: checking if GNAT supports generics" >&5
+echo "$as_me:20204: checking if GNATPREP supports -T option" >&5
+echo $ECHO_N "checking if GNATPREP supports -T option... $ECHO_C" >&6
+if test "${cf_cv_gnatprep_opt_t+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+
+cf_cv_gnatprep_opt_t=no
+gnatprep -T 2>/dev/null >/dev/null && cf_cv_gnatprep_opt_t=yes
+
+fi
+echo "$as_me:20214: result: $cf_cv_gnatprep_opt_t" >&5
+echo "${ECHO_T}$cf_cv_gnatprep_opt_t" >&6
+test "$cf_cv_gnatprep_opt_t" = yes && GNATPREP_OPTS="-T $GNATPREP_OPTS"
+
+echo "$as_me:20218: checking if GNAT supports generics" >&5
 echo $ECHO_N "checking if GNAT supports generics... $ECHO_C" >&6
 case $cf_gnat_version in #(vi
 3.[1-9]*|[4-9].*) #(vi
@@ -20210,7 +20225,7 @@
 	cf_gnat_generics=no
 	;;
 esac
-echo "$as_me:20213: result: $cf_gnat_generics" >&5
+echo "$as_me:20228: result: $cf_gnat_generics" >&5
 echo "${ECHO_T}$cf_gnat_generics" >&6
 
 if test "$cf_gnat_generics" = yes
@@ -20222,7 +20237,7 @@
 	cf_generic_objects=
 fi
 
-echo "$as_me:20225: checking if GNAT supports SIGINT" >&5
+echo "$as_me:20240: checking if GNAT supports SIGINT" >&5
 echo $ECHO_N "checking if GNAT supports SIGINT... $ECHO_C" >&6
 if test "${cf_cv_gnat_sigint+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -20270,7 +20285,7 @@
 rm -rf conftest* *~conftest*
 
 fi
-echo "$as_me:20273: result: $cf_cv_gnat_sigint" >&5
+echo "$as_me:20288: result: $cf_cv_gnat_sigint" >&5
 echo "${ECHO_T}$cf_cv_gnat_sigint" >&6
 
 if test $cf_cv_gnat_sigint = yes ; then
@@ -20283,7 +20298,7 @@
 cf_gnat_projects=no
 
 if test "$enable_gnat_projects" != no ; then
-echo "$as_me:20286: checking if GNAT supports project files" >&5
+echo "$as_me:20301: checking if GNAT supports project files" >&5
 echo $ECHO_N "checking if GNAT supports project files... $ECHO_C" >&6
 case $cf_gnat_version in #(vi
 3.[0-9]*) #(vi
@@ -20343,15 +20358,15 @@
 	esac
 	;;
 esac
-echo "$as_me:20346: result: $cf_gnat_projects" >&5
+echo "$as_me:20361: result: $cf_gnat_projects" >&5
 echo "${ECHO_T}$cf_gnat_projects" >&6
 fi # enable_gnat_projects
 
 if test $cf_gnat_projects = yes
 then
-	echo "$as_me:20352: checking if GNAT supports libraries" >&5
+	echo "$as_me:20367: checking if GNAT supports libraries" >&5
 echo $ECHO_N "checking if GNAT supports libraries... $ECHO_C" >&6
-	echo "$as_me:20354: result: $cf_gnat_libraries" >&5
+	echo "$as_me:20369: result: $cf_gnat_libraries" >&5
 echo "${ECHO_T}$cf_gnat_libraries" >&6
 fi
 
@@ -20371,7 +20386,7 @@
 	USE_GNAT_LIBRARIES="#"
 fi
 
-echo "$as_me:20374: checking for ada-compiler" >&5
+echo "$as_me:20389: checking for ada-compiler" >&5
 echo $ECHO_N "checking for ada-compiler... $ECHO_C" >&6
 
 # Check whether --with-ada-compiler or --without-ada-compiler was given.
@@ -20382,12 +20397,12 @@
   cf_ada_compiler=gnatmake
 fi;
 
-echo "$as_me:20385: result: $cf_ada_compiler" >&5
+echo "$as_me:20400: result: $cf_ada_compiler" >&5
 echo "${ECHO_T}$cf_ada_compiler" >&6
 
 			cf_ada_package=terminal_interface
 
-echo "$as_me:20390: checking for ada-include" >&5
+echo "$as_me:20405: checking for ada-include" >&5
 echo $ECHO_N "checking for ada-include... $ECHO_C" >&6
 
 # Check whether --with-ada-include or --without-ada-include was given.
@@ -20423,7 +20438,7 @@
   withval=`echo $withval | sed -e s%NONE%$cf_path_syntax%`
   ;;
 *)
-  { { echo "$as_me:20426: error: expected a pathname, not \"$withval\"" >&5
+  { { echo "$as_me:20441: error: expected a pathname, not \"$withval\"" >&5
 echo "$as_me: error: expected a pathname, not \"$withval\"" >&2;}
    { (exit 1); exit 1; }; }
   ;;
@@ -20432,10 +20447,10 @@
 fi
 eval ADA_INCLUDE="$withval"
 
-echo "$as_me:20435: result: $ADA_INCLUDE" >&5
+echo "$as_me:20450: result: $ADA_INCLUDE" >&5
 echo "${ECHO_T}$ADA_INCLUDE" >&6
 
-echo "$as_me:20438: checking for ada-objects" >&5
+echo "$as_me:20453: checking for ada-objects" >&5
 echo $ECHO_N "checking for ada-objects... $ECHO_C" >&6
 
 # Check whether --with-ada-objects or --without-ada-objects was given.
@@ -20471,7 +20486,7 @@
   withval=`echo $withval | sed -e s%NONE%$cf_path_syntax%`
   ;;
 *)
-  { { echo "$as_me:20474: error: expected a pathname, not \"$withval\"" >&5
+  { { echo "$as_me:20489: error: expected a pathname, not \"$withval\"" >&5
 echo "$as_me: error: expected a pathname, not \"$withval\"" >&2;}
    { (exit 1); exit 1; }; }
   ;;
@@ -20480,10 +20495,10 @@
 fi
 eval ADA_OBJECTS="$withval"
 
-echo "$as_me:20483: result: $ADA_OBJECTS" >&5
+echo "$as_me:20498: result: $ADA_OBJECTS" >&5
 echo "${ECHO_T}$ADA_OBJECTS" >&6
 
-echo "$as_me:20486: checking if an Ada95 shared-library should be built" >&5
+echo "$as_me:20501: checking if an Ada95 shared-library should be built" >&5
 echo $ECHO_N "checking if an Ada95 shared-library should be built... $ECHO_C" >&6
 
 # Check whether --with-ada-sharedlib or --without-ada-sharedlib was given.
@@ -20493,7 +20508,7 @@
 else
   with_ada_sharedlib=no
 fi;
-echo "$as_me:20496: result: $with_ada_sharedlib" >&5
+echo "$as_me:20511: result: $with_ada_sharedlib" >&5
 echo "${ECHO_T}$with_ada_sharedlib" >&6
 
 ADA_SHAREDLIB='lib$(LIB_NAME).so.1'
@@ -20516,13 +20531,13 @@
 
 # do this "late" to avoid conflict with header-checks
 if test "x$with_widec" = xyes ; then
-	echo "$as_me:20519: checking for wchar_t" >&5
+	echo "$as_me:20534: checking for wchar_t" >&5
 echo $ECHO_N "checking for wchar_t... $ECHO_C" >&6
 if test "${ac_cv_type_wchar_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 20525 "configure"
+#line 20540 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -20537,16 +20552,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:20540: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:20555: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:20543: \$? = $ac_status" >&5
+  echo "$as_me:20558: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:20546: \"$ac_try\"") >&5
+  { (eval echo "$as_me:20561: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:20549: \$? = $ac_status" >&5
+  echo "$as_me:20564: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_type_wchar_t=yes
 else
@@ -20556,10 +20571,10 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:20559: result: $ac_cv_type_wchar_t" >&5
+echo "$as_me:20574: result: $ac_cv_type_wchar_t" >&5
 echo "${ECHO_T}$ac_cv_type_wchar_t" >&6
 
-echo "$as_me:20562: checking size of wchar_t" >&5
+echo "$as_me:20577: checking size of wchar_t" >&5
 echo $ECHO_N "checking size of wchar_t... $ECHO_C" >&6
 if test "${ac_cv_sizeof_wchar_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -20568,7 +20583,7 @@
   if test "$cross_compiling" = yes; then
   # Depending upon the size, compute the lo and hi bounds.
 cat >conftest.$ac_ext <<_ACEOF
-#line 20571 "configure"
+#line 20586 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -20580,21 +20595,21 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:20583: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:20598: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:20586: \$? = $ac_status" >&5
+  echo "$as_me:20601: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:20589: \"$ac_try\"") >&5
+  { (eval echo "$as_me:20604: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:20592: \$? = $ac_status" >&5
+  echo "$as_me:20607: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_lo=0 ac_mid=0
   while :; do
     cat >conftest.$ac_ext <<_ACEOF
-#line 20597 "configure"
+#line 20612 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -20606,16 +20621,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:20609: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:20624: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:20612: \$? = $ac_status" >&5
+  echo "$as_me:20627: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:20615: \"$ac_try\"") >&5
+  { (eval echo "$as_me:20630: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:20618: \$? = $ac_status" >&5
+  echo "$as_me:20633: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_hi=$ac_mid; break
 else
@@ -20631,7 +20646,7 @@
 ac_hi=-1 ac_mid=-1
   while :; do
     cat >conftest.$ac_ext <<_ACEOF
-#line 20634 "configure"
+#line 20649 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -20643,16 +20658,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:20646: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:20661: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:20649: \$? = $ac_status" >&5
+  echo "$as_me:20664: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:20652: \"$ac_try\"") >&5
+  { (eval echo "$as_me:20667: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:20655: \$? = $ac_status" >&5
+  echo "$as_me:20670: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_lo=$ac_mid; break
 else
@@ -20668,7 +20683,7 @@
 while test "x$ac_lo" != "x$ac_hi"; do
   ac_mid=`expr '(' $ac_hi - $ac_lo ')' / 2 + $ac_lo`
   cat >conftest.$ac_ext <<_ACEOF
-#line 20671 "configure"
+#line 20686 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -20680,16 +20695,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:20683: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:20698: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:20686: \$? = $ac_status" >&5
+  echo "$as_me:20701: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:20689: \"$ac_try\"") >&5
+  { (eval echo "$as_me:20704: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:20692: \$? = $ac_status" >&5
+  echo "$as_me:20707: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_hi=$ac_mid
 else
@@ -20702,12 +20717,12 @@
 ac_cv_sizeof_wchar_t=$ac_lo
 else
   if test "$cross_compiling" = yes; then
-  { { echo "$as_me:20705: error: cannot run test program while cross compiling" >&5
+  { { echo "$as_me:20720: error: cannot run test program while cross compiling" >&5
 echo "$as_me: error: cannot run test program while cross compiling" >&2;}
    { (exit 1); exit 1; }; }
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 20710 "configure"
+#line 20725 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -20723,15 +20738,15 @@
 }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:20726: \"$ac_link\"") >&5
+if { (eval echo "$as_me:20741: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:20729: \$? = $ac_status" >&5
+  echo "$as_me:20744: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:20731: \"$ac_try\"") >&5
+  { (eval echo "$as_me:20746: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:20734: \$? = $ac_status" >&5
+  echo "$as_me:20749: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_sizeof_wchar_t=`cat conftest.val`
 else
@@ -20747,7 +20762,7 @@
   ac_cv_sizeof_wchar_t=0
 fi
 fi
-echo "$as_me:20750: result: $ac_cv_sizeof_wchar_t" >&5
+echo "$as_me:20765: result: $ac_cv_sizeof_wchar_t" >&5
 echo "${ECHO_T}$ac_cv_sizeof_wchar_t" >&6
 cat >>confdefs.h <<EOF
 #define SIZEOF_WCHAR_T $ac_cv_sizeof_wchar_t
@@ -20765,7 +20780,7 @@
 ### chooses to split module lists into libraries.
 ###
 ### (see CF_LIB_RULES).
-echo "$as_me:20768: checking for library subsets" >&5
+echo "$as_me:20783: checking for library subsets" >&5
 echo $ECHO_N "checking for library subsets... $ECHO_C" >&6
 LIB_SUBSETS=
 
@@ -20806,7 +20821,7 @@
 test "x$with_widec"     = xyes && LIB_SUBSETS="${LIB_SUBSETS}+widechar"
 test "x$with_ext_funcs" = xyes && LIB_SUBSETS="${LIB_SUBSETS}+ext_funcs"
 
-echo "$as_me:20809: result: $LIB_SUBSETS" >&5
+echo "$as_me:20824: result: $LIB_SUBSETS" >&5
 echo "${ECHO_T}$LIB_SUBSETS" >&6
 
 ### Construct the list of include-directories to be generated
@@ -20848,7 +20863,7 @@
 fi
 
 ### Build up pieces for makefile rules
-echo "$as_me:20851: checking default library suffix" >&5
+echo "$as_me:20866: checking default library suffix" >&5
 echo $ECHO_N "checking default library suffix... $ECHO_C" >&6
 
 	case $DFT_LWR_MODEL in
@@ -20859,10 +20874,10 @@
 	shared)  DFT_ARG_SUFFIX=''   ;;
 	esac
 	test -n "$LIB_SUFFIX" && DFT_ARG_SUFFIX="${LIB_SUFFIX}${DFT_ARG_SUFFIX}"
-echo "$as_me:20862: result: $DFT_ARG_SUFFIX" >&5
+echo "$as_me:20877: result: $DFT_ARG_SUFFIX" >&5
 echo "${ECHO_T}$DFT_ARG_SUFFIX" >&6
 
-echo "$as_me:20865: checking default library-dependency suffix" >&5
+echo "$as_me:20880: checking default library-dependency suffix" >&5
 echo $ECHO_N "checking default library-dependency suffix... $ECHO_C" >&6
 
 	case X$DFT_LWR_MODEL in #(vi
@@ -20917,10 +20932,10 @@
 	esac
 	test -n "$LIB_SUFFIX" && DFT_LIB_SUFFIX="${LIB_SUFFIX}${DFT_LIB_SUFFIX}"
 	test -n "$LIB_SUFFIX" && DFT_DEP_SUFFIX="${LIB_SUFFIX}${DFT_DEP_SUFFIX}"
-echo "$as_me:20920: result: $DFT_DEP_SUFFIX" >&5
+echo "$as_me:20935: result: $DFT_DEP_SUFFIX" >&5
 echo "${ECHO_T}$DFT_DEP_SUFFIX" >&6
 
-echo "$as_me:20923: checking default object directory" >&5
+echo "$as_me:20938: checking default object directory" >&5
 echo $ECHO_N "checking default object directory... $ECHO_C" >&6
 
 	case $DFT_LWR_MODEL in
@@ -20936,11 +20951,11 @@
 			DFT_OBJ_SUBDIR='obj_s' ;;
 		esac
 	esac
-echo "$as_me:20939: result: $DFT_OBJ_SUBDIR" >&5
+echo "$as_me:20954: result: $DFT_OBJ_SUBDIR" >&5
 echo "${ECHO_T}$DFT_OBJ_SUBDIR" >&6
 
 if test "x$cf_with_cxx" = xyes ; then
-echo "$as_me:20943: checking c++ library-dependency suffix" >&5
+echo "$as_me:20958: checking c++ library-dependency suffix" >&5
 echo $ECHO_N "checking c++ library-dependency suffix... $ECHO_C" >&6
 if test "$with_libtool" != "no"; then
 	# libtool thinks it can make c++ shared libraries (perhaps only g++)
@@ -21005,7 +21020,7 @@
 	test -n "$LIB_SUFFIX" && CXX_DEP_SUFFIX="${LIB_SUFFIX}${CXX_DEP_SUFFIX}"
 
 fi
-echo "$as_me:21008: result: $CXX_LIB_SUFFIX" >&5
+echo "$as_me:21023: result: $CXX_LIB_SUFFIX" >&5
 echo "${ECHO_T}$CXX_LIB_SUFFIX" >&6
 
 fi
@@ -21170,19 +21185,19 @@
 
 if test -n "$LDFLAGS_STATIC" && test -n "$LDFLAGS_SHARED"
 then
-	echo "$as_me:21173: checking if linker supports switching between static/dynamic" >&5
+	echo "$as_me:21188: checking if linker supports switching between static/dynamic" >&5
 echo $ECHO_N "checking if linker supports switching between static/dynamic... $ECHO_C" >&6
 
 	rm -f libconftest.a
 	cat >conftest.$ac_ext <<EOF
-#line 21178 "configure"
+#line 21193 "configure"
 #include <stdio.h>
 int cf_ldflags_static(FILE *fp) { return fflush(fp); }
 EOF
-	if { (eval echo "$as_me:21182: \"$ac_compile\"") >&5
+	if { (eval echo "$as_me:21197: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:21185: \$? = $ac_status" >&5
+  echo "$as_me:21200: \$? = $ac_status" >&5
   (exit $ac_status); } ; then
 		( $AR $ARFLAGS libconftest.a conftest.o ) 2>&5 1>/dev/null
 		( eval $RANLIB libconftest.a ) 2>&5 >/dev/null
@@ -21193,10 +21208,10 @@
 
 	LIBS="$LDFLAGS_STATIC -L`pwd` -lconftest $LDFLAGS_DYNAMIC $LIBS"
 	cat >conftest.$ac_ext <<_ACEOF
-#line 21196 "configure"
+#line 21211 "configure"
 #include "confdefs.h"
 
-#line 21199 "configure"
+#line 21214 "configure"
 #include <stdio.h>
 int cf_ldflags_static(FILE *fp);
 
@@ -21211,16 +21226,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:21214: \"$ac_link\"") >&5
+if { (eval echo "$as_me:21229: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:21217: \$? = $ac_status" >&5
+  echo "$as_me:21232: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:21220: \"$ac_try\"") >&5
+  { (eval echo "$as_me:21235: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:21223: \$? = $ac_status" >&5
+  echo "$as_me:21238: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
 	# some linkers simply ignore the -dynamic
@@ -21243,7 +21258,7 @@
 	rm -f libconftest.*
 	LIBS="$cf_save_LIBS"
 
-	echo "$as_me:21246: result: $cf_ldflags_static" >&5
+	echo "$as_me:21261: result: $cf_ldflags_static" >&5
 echo "${ECHO_T}$cf_ldflags_static" >&6
 
 	if test $cf_ldflags_static != yes
@@ -21259,7 +21274,7 @@
 	;;
 esac
 
-echo "$as_me:21262: checking where we will install curses.h" >&5
+echo "$as_me:21277: checking where we will install curses.h" >&5
 echo $ECHO_N "checking where we will install curses.h... $ECHO_C" >&6
 
 includesubdir=
@@ -21269,7 +21284,7 @@
 then
 	includesubdir="/ncurses${LIB_SUFFIX}"
 fi
-echo "$as_me:21272: result: ${includedir}${includesubdir}" >&5
+echo "$as_me:21287: result: ${includedir}${includesubdir}" >&5
 echo "${ECHO_T}${includedir}${includesubdir}" >&6
 
 ### Resolve a conflict between normal and wide-curses by forcing applications
@@ -21277,7 +21292,7 @@
 if test "$with_overwrite" != no ; then
 if test "$NCURSES_LIBUTF8" = 1 ; then
 	NCURSES_LIBUTF8='defined(HAVE_LIBUTF8_H)'
-	{ echo "$as_me:21280: WARNING: Wide-character applications must define HAVE_LIBUTF8_H to include curses.h" >&5
+	{ echo "$as_me:21295: WARNING: Wide-character applications must define HAVE_LIBUTF8_H to include curses.h" >&5
 echo "$as_me: WARNING: Wide-character applications must define HAVE_LIBUTF8_H to include curses.h" >&2;}
 fi
 fi
@@ -21295,7 +21310,7 @@
 ### Construct the list of subdirectories for which we'll customize makefiles
 ### with the appropriate compile-rules.
 
-echo "$as_me:21298: checking for src modules" >&5
+echo "$as_me:21313: checking for src modules" >&5
 echo $ECHO_N "checking for src modules... $ECHO_C" >&6
 
 # dependencies and linker-arguments for test-programs
@@ -21360,7 +21375,7 @@
 		fi
 	fi
 done
-echo "$as_me:21363: result: $cf_cv_src_modules" >&5
+echo "$as_me:21378: result: $cf_cv_src_modules" >&5
 echo "${ECHO_T}$cf_cv_src_modules" >&6
 
 TEST_ARGS="-L${LIB_DIR} $TEST_ARGS"
@@ -21581,7 +21596,7 @@
 
 # Extract the first word of "tic", so it can be a program name with args.
 set dummy tic; ac_word=$2
-echo "$as_me:21584: checking for $ac_word" >&5
+echo "$as_me:21599: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_path_TIC_PATH+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -21598,7 +21613,7 @@
   test -z "$ac_dir" && ac_dir=.
   if $as_executable_p "$ac_dir/$ac_word"; then
    ac_cv_path_TIC_PATH="$ac_dir/$ac_word"
-   echo "$as_me:21601: found $ac_dir/$ac_word" >&5
+   echo "$as_me:21616: found $ac_dir/$ac_word" >&5
    break
 fi
 done
@@ -21610,10 +21625,10 @@
 TIC_PATH=$ac_cv_path_TIC_PATH
 
 if test -n "$TIC_PATH"; then
-  echo "$as_me:21613: result: $TIC_PATH" >&5
+  echo "$as_me:21628: result: $TIC_PATH" >&5
 echo "${ECHO_T}$TIC_PATH" >&6
 else
-  echo "$as_me:21616: result: no" >&5
+  echo "$as_me:21631: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -21621,7 +21636,7 @@
 then
 	if test "$TIC_PATH" = unknown
 	then
-		{ echo "$as_me:21624: WARNING: no tic program found for fallbacks" >&5
+		{ echo "$as_me:21639: WARNING: no tic program found for fallbacks" >&5
 echo "$as_me: WARNING: no tic program found for fallbacks" >&2;}
 	fi
 fi
@@ -21647,7 +21662,7 @@
 	*-D_XOPEN_SOURCE_EXTENDED*)
 		test -n "$verbose" && echo "	moving _XOPEN_SOURCE_EXTENDED to work around g++ problem" 1>&6
 
-echo "${as_me:-configure}:21650: testing moving _XOPEN_SOURCE_EXTENDED to work around g++ problem ..." 1>&5
+echo "${as_me:-configure}:21665: testing moving _XOPEN_SOURCE_EXTENDED to work around g++ problem ..." 1>&5
 
 		CFLAGS="$CFLAGS -D_XOPEN_SOURCE_EXTENDED"
 		CPPFLAGS=`echo "x$CPPFLAGS" | sed -e  's/^.//' -e 's/-D_XOPEN_SOURCE_EXTENDED//'`
@@ -21765,7 +21780,7 @@
 : ${CONFIG_STATUS=./config.status}
 ac_clean_files_save=$ac_clean_files
 ac_clean_files="$ac_clean_files $CONFIG_STATUS"
-{ echo "$as_me:21768: creating $CONFIG_STATUS" >&5
+{ echo "$as_me:21783: creating $CONFIG_STATUS" >&5
 echo "$as_me: creating $CONFIG_STATUS" >&6;}
 cat >$CONFIG_STATUS <<_ACEOF
 #! $SHELL
@@ -21941,7 +21956,7 @@
     echo "$ac_cs_version"; exit 0 ;;
   --he | --h)
     # Conflict between --help and --header
-    { { echo "$as_me:21944: error: ambiguous option: $1
+    { { echo "$as_me:21959: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -21960,7 +21975,7 @@
     ac_need_defaults=false;;
 
   # This is an error.
-  -*) { { echo "$as_me:21963: error: unrecognized option: $1
+  -*) { { echo "$as_me:21978: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -22071,7 +22086,7 @@
   "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
   "default" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default" ;;
   "include/ncurses_cfg.h" ) CONFIG_HEADERS="$CONFIG_HEADERS include/ncurses_cfg.h:include/ncurses_cfg.hin" ;;
-  *) { { echo "$as_me:22074: error: invalid argument: $ac_config_target" >&5
+  *) { { echo "$as_me:22089: error: invalid argument: $ac_config_target" >&5
 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
    { (exit 1); exit 1; }; };;
   esac
@@ -22334,6 +22349,7 @@
 s,@gnat_exists@,$gnat_exists,;t t
 s,@M4_exists@,$M4_exists,;t t
 s,@cf_ada_make@,$cf_ada_make,;t t
+s,@GNATPREP_OPTS@,$GNATPREP_OPTS,;t t
 s,@cf_compile_generics@,$cf_compile_generics,;t t
 s,@cf_generic_objects@,$cf_generic_objects,;t t
 s,@USE_GNAT_SIGINT@,$USE_GNAT_SIGINT,;t t
@@ -22505,7 +22521,7 @@
   esac
 
   if test x"$ac_file" != x-; then
-    { echo "$as_me:22508: creating $ac_file" >&5
+    { echo "$as_me:22524: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
     rm -f "$ac_file"
   fi
@@ -22523,7 +22539,7 @@
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:22526: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:22542: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -22536,7 +22552,7 @@
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:22539: error: cannot find input file: $f" >&5
+           { { echo "$as_me:22555: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -22552,7 +22568,7 @@
       if test -n "$ac_seen"; then
         ac_used=`grep '@datarootdir@' $ac_item`
         if test -z "$ac_used"; then
-          { echo "$as_me:22555: WARNING: datarootdir was used implicitly but not set:
+          { echo "$as_me:22571: WARNING: datarootdir was used implicitly but not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: datarootdir was used implicitly but not set:
 $ac_seen" >&2;}
@@ -22561,7 +22577,7 @@
       fi
       ac_seen=`grep '${datarootdir}' $ac_item`
       if test -n "$ac_seen"; then
-        { echo "$as_me:22564: WARNING: datarootdir was used explicitly but not set:
+        { echo "$as_me:22580: WARNING: datarootdir was used explicitly but not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: datarootdir was used explicitly but not set:
 $ac_seen" >&2;}
@@ -22598,7 +22614,7 @@
             ac_init=`egrep '[ 	]*'$ac_name'[ 	]*=' $ac_file`
             if test -z "$ac_init"; then
               ac_seen=`echo "$ac_seen" |sed -e 's,^,'$ac_file':,'`
-              { echo "$as_me:22601: WARNING: Variable $ac_name is used but was not set:
+              { echo "$as_me:22617: WARNING: Variable $ac_name is used but was not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: Variable $ac_name is used but was not set:
 $ac_seen" >&2;}
@@ -22609,7 +22625,7 @@
     egrep -n '@[A-Z_][A-Z_0-9]+@' $ac_file >>$tmp/out
     if test -s $tmp/out; then
       ac_seen=`sed -e 's,^,'$ac_file':,' < $tmp/out`
-      { echo "$as_me:22612: WARNING: Some variables may not be substituted:
+      { echo "$as_me:22628: WARNING: Some variables may not be substituted:
 $ac_seen" >&5
 echo "$as_me: WARNING: Some variables may not be substituted:
 $ac_seen" >&2;}
@@ -22658,7 +22674,7 @@
   * )   ac_file_in=$ac_file.in ;;
   esac
 
-  test x"$ac_file" != x- && { echo "$as_me:22661: creating $ac_file" >&5
+  test x"$ac_file" != x- && { echo "$as_me:22677: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
 
   # First look for the input files in the build tree, otherwise in the
@@ -22669,7 +22685,7 @@
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:22672: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:22688: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -22682,7 +22698,7 @@
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:22685: error: cannot find input file: $f" >&5
+           { { echo "$as_me:22701: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -22740,7 +22756,7 @@
   rm -f $tmp/in
   if test x"$ac_file" != x-; then
     if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
-      { echo "$as_me:22743: $ac_file is unchanged" >&5
+      { echo "$as_me:22759: $ac_file is unchanged" >&5
 echo "$as_me: $ac_file is unchanged" >&6;}
     else
       ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
@@ -23043,7 +23059,7 @@
 				cygdll|msysdll|mingw) #(vi
 					test "x$with_shared_cxx" = xno && test -n "$verbose" && echo "	overriding CXX_MODEL to SHARED" 1>&6
 
-echo "${as_me:-configure}:23046: testing overriding CXX_MODEL to SHARED ..." 1>&5
+echo "${as_me:-configure}:23062: testing overriding CXX_MODEL to SHARED ..." 1>&5
 
 					with_shared_cxx=yes
 					;;
Index: configure.in
Prereq:  1.582 
--- ncurses-5.9-20140726+/configure.in	2014-06-01 14:05:06.000000000 +0000
+++ ncurses-5.9-20140802/configure.in	2014-08-02 20:35:31.000000000 +0000
@@ -28,14 +28,14 @@
 dnl
 dnl Author: Thomas E. Dickey 1995-on
 dnl
-dnl $Id: configure.in,v 1.582 2014/06/01 14:05:06 tom Exp $
+dnl $Id: configure.in,v 1.583 2014/08/02 20:35:31 tom Exp $
 dnl Process this file with autoconf to produce a configure script.
 dnl
 dnl See http://invisible-island.net/autoconf/ for additional information.
 dnl
 dnl ---------------------------------------------------------------------------
 AC_PREREQ(2.52.20030208)
-AC_REVISION($Revision: 1.582 $)
+AC_REVISION($Revision: 1.583 $)
 AC_INIT(ncurses/base/lib_initscr.c)
 AC_CONFIG_HEADER(include/ncurses_cfg.h:include/ncurses_cfg.hin)
 
@@ -1358,6 +1358,7 @@
 ###	Checks for libraries.
 case $cf_cv_system_name in #(vi
 *mingw32*) #(vi
+	CPPFLAGS="$CPPFLAGS -DWINVER=0x0501"
 	LIBS=" -lpsapi $LIBS"
 	;;
 *)
@@ -1620,6 +1621,8 @@
 			CF_ADD_ADAFLAGS(-gnatpn)
 			CF_FIXUP_ADAFLAGS
 
+			CF_GNATPREP_OPT_T
+
 			CF_GNAT_GENERICS
 			CF_GNAT_SIGINT
 			CF_GNAT_PROJECTS
Index: dist.mk
Prereq:  1.998 
--- ncurses-5.9-20140726+/dist.mk	2014-07-26 00:13:04.000000000 +0000
+++ ncurses-5.9-20140802/dist.mk	2014-08-01 23:41:10.000000000 +0000
@@ -25,7 +25,7 @@
 # use or other dealings in this Software without prior written               #
 # authorization.                                                             #
 ##############################################################################
-# $Id: dist.mk,v 1.998 2014/07/26 00:13:04 tom Exp $
+# $Id: dist.mk,v 1.999 2014/08/01 23:41:10 tom Exp $
 # Makefile for creating ncurses distributions.
 #
 # This only needs to be used directly as a makefile by developers, but
@@ -37,7 +37,7 @@
 # These define the major/minor/patch versions of ncurses.
 NCURSES_MAJOR = 5
 NCURSES_MINOR = 9
-NCURSES_PATCH = 20140726
+NCURSES_PATCH = 20140802
 
 # We don't append the patch to the version, since this only applies to releases
 VERSION = $(NCURSES_MAJOR).$(NCURSES_MINOR)
Index: include/curses.h.in
Prereq:  1.239 
--- ncurses-5.9-20140726+/include/curses.h.in	2014-03-22 22:57:35.000000000 +0000
+++ ncurses-5.9-20140802/include/curses.h.in	2014-08-02 16:01:30.000000000 +0000
@@ -32,7 +32,7 @@
  *     and: Thomas E. Dickey                        1996-on                 *
  ****************************************************************************/
 
-/* $Id: curses.h.in,v 1.239 2014/03/22 22:57:35 tom Exp $ */
+/* $Id: curses.h.in,v 1.240 2014/08/02 16:01:30 tom Exp $ */
 
 #ifndef __NCURSES_H
 #define __NCURSES_H
@@ -1154,7 +1154,7 @@
 #if !NCURSES_OPAQUE
 #if NCURSES_WIDECHAR && @NCURSES_EXT_COLORS@
 #define wattrset(win,at)	((win) \
-				  ? ((win)->_color = PAIR_NUMBER(at), \
+				  ? ((win)->_color = NCURSES_CAST(int, PAIR_NUMBER(at)), \
                                      (win)->_attrs = NCURSES_CAST(attr_t, at), \
                                      OK) \
 				  : ERR)
Index: include/ncurses_dll.h.in
Prereq:  1.8 
--- ncurses-5.9-20140726+/include/ncurses_dll.h.in	2009-04-04 22:26:27.000000000 +0000
+++ ncurses-5.9-20140802/include/ncurses_dll.h.in	2014-08-02 21:30:20.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2007,2009 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2009,2014 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -25,11 +25,27 @@
  * sale, use or other dealings in this Software without prior written       *
  * authorization.                                                           *
  ****************************************************************************/
-/* $Id: ncurses_dll.h.in,v 1.8 2009/04/04 22:26:27 tom Exp $ */
+/* $Id: ncurses_dll.h.in,v 1.9 2014/08/02 21:30:20 tom Exp $ */
 
 #ifndef NCURSES_DLL_H_incl
 #define NCURSES_DLL_H_incl 1
 
+/* 2014-08-02 workaround for broken MinGW compiler.
+ * Oddly, only TRACE is mapped to trace - the other -D's are okay.
+ * suggest TDM as an alternative.
+ */
+#if defined(__MINGW64__)
+#elif defined(__MINGW32__)
+#if (__GNUC__ == 4) && (__GNUC_MINOR__ == 8)
+
+#ifdef trace
+#undef trace
+#define TRACE
+#endif
+
+#endif	/* broken compiler */
+#endif	/* MingW */
+
 /*
  * For reentrant code, we map the various global variables into SCREEN by
  * using functions to access them.
Index: package/debian-mingw/changelog
--- ncurses-5.9-20140726+/package/debian-mingw/changelog	2014-07-26 00:13:04.000000000 +0000
+++ ncurses-5.9-20140802/package/debian-mingw/changelog	2014-08-01 23:41:10.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (5.9-20140726) unstable; urgency=low
+ncurses6 (5.9-20140802) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Fri, 25 Jul 2014 20:13:04 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Fri, 01 Aug 2014 19:41:10 -0400
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian-mingw64/changelog
--- ncurses-5.9-20140726+/package/debian-mingw64/changelog	2014-07-26 00:13:04.000000000 +0000
+++ ncurses-5.9-20140802/package/debian-mingw64/changelog	2014-08-01 23:41:10.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (5.9-20140726) unstable; urgency=low
+ncurses6 (5.9-20140802) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Fri, 25 Jul 2014 20:13:04 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Fri, 01 Aug 2014 19:41:10 -0400
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian/changelog
--- ncurses-5.9-20140726+/package/debian/changelog	2014-07-26 00:13:04.000000000 +0000
+++ ncurses-5.9-20140802/package/debian/changelog	2014-08-01 23:41:10.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (5.9-20140726) unstable; urgency=low
+ncurses6 (5.9-20140802) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Fri, 25 Jul 2014 20:13:04 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Fri, 01 Aug 2014 19:41:10 -0400
 
 ncurses6 (5.9-20120608) unstable; urgency=low
 
Index: package/mingw-ncurses.nsi
Prereq:  1.53 
--- ncurses-5.9-20140726+/package/mingw-ncurses.nsi	2014-07-26 00:13:04.000000000 +0000
+++ ncurses-5.9-20140802/package/mingw-ncurses.nsi	2014-08-01 23:41:10.000000000 +0000
@@ -1,4 +1,4 @@
-; $Id: mingw-ncurses.nsi,v 1.53 2014/07/26 00:13:04 tom Exp $
+; $Id: mingw-ncurses.nsi,v 1.54 2014/08/01 23:41:10 tom Exp $
 
 ; TODO add examples
 ; TODO bump ABI to 6
@@ -10,7 +10,7 @@
 !define VERSION_MAJOR "5"
 !define VERSION_MINOR "9"
 !define VERSION_YYYY  "2014"
-!define VERSION_MMDD  "0726"
+!define VERSION_MMDD  "0802"
 !define VERSION_PATCH ${VERSION_YYYY}${VERSION_MMDD}
 
 !define MY_ABI   "5"
Index: package/mingw-ncurses.spec
--- ncurses-5.9-20140726+/package/mingw-ncurses.spec	2014-07-26 00:13:04.000000000 +0000
+++ ncurses-5.9-20140802/package/mingw-ncurses.spec	2014-08-01 23:41:10.000000000 +0000
@@ -3,7 +3,7 @@
 Summary: shared libraries for terminal handling
 Name: mingw32-ncurses6
 Version: 5.9
-Release: 20140726
+Release: 20140802
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
Index: package/ncurses.spec
--- ncurses-5.9-20140726+/package/ncurses.spec	2014-07-26 00:13:04.000000000 +0000
+++ ncurses-5.9-20140802/package/ncurses.spec	2014-08-01 23:41:10.000000000 +0000
@@ -1,7 +1,7 @@
 Summary: shared libraries for terminal handling
 Name: ncurses6
 Version: 5.9
-Release: 20140726
+Release: 20140802
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
Index: test/Makefile.in
Prereq:  1.112 
--- ncurses-5.9-20140726+/test/Makefile.in	2014-07-26 22:51:31.000000000 +0000
+++ ncurses-5.9-20140802/test/Makefile.in	2014-08-02 15:45:05.000000000 +0000
@@ -1,4 +1,4 @@
-# $Id: Makefile.in,v 1.112 2014/07/26 22:51:31 tom Exp $
+# $Id: Makefile.in,v 1.113 2014/08/02 15:45:05 tom Exp $
 ##############################################################################
 # Copyright (c) 1998-2013,2014 Free Software Foundation, Inc.                #
 #                                                                            #
@@ -75,7 +75,7 @@
 CPP		= @CPP@
 
 CFLAGS		= @CFLAGS@ @EXTRA_CFLAGS@
-CPPFLAGS	= -DHAVE_CONFIG_H @CPPFLAGS@
+CPPFLAGS	= -I. -I$(srcdir) -I../test -DHAVE_CONFIG_H @CPPFLAGS@
 
 CCFLAGS		= $(CPPFLAGS) $(CFLAGS)
 
Index: test/clip_printw.c
Prereq:  1.9 
--- ncurses-5.9-20140726+/test/clip_printw.c	2012-11-18 00:39:48.000000000 +0000
+++ ncurses-5.9-20140802/test/clip_printw.c	2014-08-02 23:13:29.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 2008-2010,2012 Free Software Foundation, Inc.              *
+ * Copyright (c) 2008-2012,2014 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -26,7 +26,7 @@
  * authorization.                                                           *
  ****************************************************************************/
 /*
- * $Id: clip_printw.c,v 1.9 2012/11/18 00:39:48 tom Exp $
+ * $Id: clip_printw.c,v 1.10 2014/08/02 23:13:29 tom Exp $
  *
  * demonstrate how to use printw without wrapping.
  */
@@ -331,7 +331,7 @@
     do {
 	switch (st.ch) {
 	case '.':		/* change from current position */
-	    (void) wattrset(win, (int) (st.attr | (chtype) COLOR_PAIR(st.pair)));
+	    (void) wattrset(win, AttrArg(COLOR_PAIR(st.pair), st.attr));
 	    if (st.count > 0) {
 		need = (unsigned) st.count + 1;
 		sprintf(fmt, "%%c%%%ds%%c", st.count);
Index: test/demo_forms.c
Prereq:  1.48 
--- ncurses-5.9-20140726+/test/demo_forms.c	2014-07-27 00:26:01.000000000 +0000
+++ ncurses-5.9-20140802/test/demo_forms.c	2014-08-02 23:11:57.000000000 +0000
@@ -26,7 +26,7 @@
  * authorization.                                                           *
  ****************************************************************************/
 /*
- * $Id: demo_forms.c,v 1.48 2014/07/27 00:26:01 tom Exp $
+ * $Id: demo_forms.c,v 1.49 2014/08/02 23:11:57 tom Exp $
  *
  * Demonstrate a variety of functions from the form library.
  * Thomas Dickey - 2003/4/26
@@ -398,13 +398,13 @@
 	}
 
 	waddch(win, ' ');
-	(void) wattrset(win, (int) field_fore(field));
+	(void) wattrset(win, AttrArg(field_fore(field), 0));
 	waddstr(win, "fore");
 	wattroff(win, (int) field_fore(field));
 
 	waddch(win, '/');
 
-	(void) wattrset(win, (int) field_back(field));
+	(void) wattrset(win, AttrArg(field_back(field), 0));
 	waddstr(win, "back");
 	wattroff(win, (int) field_back(field));
 
Index: test/demo_menus.c
Prereq:  1.52 
--- ncurses-5.9-20140726+/test/demo_menus.c	2013-09-28 21:55:02.000000000 +0000
+++ ncurses-5.9-20140802/test/demo_menus.c	2014-08-02 17:24:07.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 2005-2012,2013 Free Software Foundation, Inc.              *
+ * Copyright (c) 2005-2013,2014 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -26,7 +26,7 @@
  * authorization.                                                           *
  ****************************************************************************/
 /*
- * $Id: demo_menus.c,v 1.52 2013/09/28 21:55:02 tom Exp $
+ * $Id: demo_menus.c,v 1.53 2014/08/02 17:24:07 tom Exp $
  *
  * Demonstrate a variety of functions from the menu library.
  * Thomas Dickey - 2005/4/9
@@ -315,7 +315,7 @@
 	if ((count > 0) && (m == mpSelect)) {
 	    if (blob && loaded_file) {
 		Trace(("freeing blob %p", blob));
-		free((char *) blob);
+		free((void *) blob);
 	    }
 	    free(items);
 	    items = 0;
Index: test/demo_panels.c
Prereq:  1.37 
--- ncurses-5.9-20140726+/test/demo_panels.c	2010-05-01 22:19:02.000000000 +0000
+++ ncurses-5.9-20140802/test/demo_panels.c	2014-08-02 17:24:07.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 2007-2008,2010 Free Software Foundation, Inc.              *
+ * Copyright (c) 2007-2010,2014 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -26,7 +26,7 @@
  * authorization.                                                           *
  ****************************************************************************/
 /*
- * $Id: demo_panels.c,v 1.37 2010/05/01 22:19:02 tom Exp $
+ * $Id: demo_panels.c,v 1.38 2014/08/02 17:24:07 tom Exp $
  *
  * Demonstrate a variety of functions from the panel library.
  */
@@ -406,7 +406,7 @@
 {
     wchar_t source[2];
 
-    source[0] = digit + 0xff10;
+    source[0] = (wchar_t) (digit + 0xff10);
     source[1] = 0;
     setcchar(target, source, A_NORMAL, 0, 0);
 }
Index: test/firework.c
Prereq:  1.29 
--- ncurses-5.9-20140726+/test/firework.c	2013-04-27 19:46:53.000000000 +0000
+++ ncurses-5.9-20140802/test/firework.c	2014-08-02 17:24:07.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2010,2013 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2013,2014 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -26,7 +26,7 @@
  * authorization.                                                           *
  ****************************************************************************/
 /*
- * $Id: firework.c,v 1.29 2013/04/27 19:46:53 tom Exp $
+ * $Id: firework.c,v 1.30 2014/08/02 17:24:07 tom Exp $
  */
 #include <test.priv.h>
 
@@ -94,14 +94,14 @@
     showit();
 
     init_pair(1, get_colour(&bold), my_bg);
-    (void) attrset((chtype) COLOR_PAIR(1) | bold);
+    (void) attrset(AttrArg(COLOR_PAIR(1), bold));
     MvPrintw(row - 1, col - 1, " - ");
     MvPrintw(row + 0, col - 1, "-+-");
     MvPrintw(row + 1, col - 1, " - ");
     showit();
 
     init_pair(1, get_colour(&bold), my_bg);
-    (void) attrset((chtype) COLOR_PAIR(1) | bold);
+    (void) attrset(AttrArg(COLOR_PAIR(1), bold));
     MvPrintw(row - 2, col - 2, " --- ");
     MvPrintw(row - 1, col - 2, "-+++-");
     MvPrintw(row + 0, col - 2, "-+#+-");
@@ -110,7 +110,7 @@
     showit();
 
     init_pair(1, get_colour(&bold), my_bg);
-    (void) attrset((chtype) COLOR_PAIR(1) | bold);
+    (void) attrset(AttrArg(COLOR_PAIR(1), bold));
     MvPrintw(row - 2, col - 2, " +++ ");
     MvPrintw(row - 1, col - 2, "++#++");
     MvPrintw(row + 0, col - 2, "+# #+");
@@ -119,7 +119,7 @@
     showit();
 
     init_pair(1, get_colour(&bold), my_bg);
-    (void) attrset((chtype) COLOR_PAIR(1) | bold);
+    (void) attrset(AttrArg(COLOR_PAIR(1), bold));
     MvPrintw(row - 2, col - 2, "  #  ");
     MvPrintw(row - 1, col - 2, "## ##");
     MvPrintw(row + 0, col - 2, "#   #");
@@ -128,7 +128,7 @@
     showit();
 
     init_pair(1, get_colour(&bold), my_bg);
-    (void) attrset((chtype) COLOR_PAIR(1) | bold);
+    (void) attrset(AttrArg(COLOR_PAIR(1), bold));
     MvPrintw(row - 2, col - 2, " # # ");
     MvPrintw(row - 1, col - 2, "#   #");
     MvPrintw(row + 0, col - 2, "     ");
@@ -173,7 +173,7 @@
 	    direction = (start > end) ? -1 : 1;
 	    diff = abs(start - end);
 	} while (diff < 2 || diff >= LINES - 2);
-	(void) attrset(A_NORMAL);
+	(void) attrset(AttrArg(0, A_NORMAL));
 	for (row = 0; row < diff; row++) {
 	    MvPrintw(LINES - row, start + (row * direction),
 		     (direction < 0) ? "\\" : "/");
Index: test/form_driver_w.c
Prereq:  1.12 
--- ncurses-5.9-20140726+/test/form_driver_w.c	2014-06-01 20:37:19.000000000 +0000
+++ ncurses-5.9-20140802/test/form_driver_w.c	2014-08-02 17:24:55.000000000 +0000
@@ -31,7 +31,7 @@
  ****************************************************************************/
 
 /*
- * $Id: form_driver_w.c,v 1.12 2014/06/01 20:37:19 tom Exp $
+ * $Id: form_driver_w.c,v 1.13 2014/08/02 17:24:55 tom Exp $
  *
  * Test form_driver_w (int, int, wchar_t), a wide char aware
  * replacement of form_driver.
@@ -123,7 +123,7 @@
 		done = TRUE;
 		break;
 	    default:
-		form_driver_w(my_form, OK, ch);
+		form_driver_w(my_form, OK, (wchar_t) ch);
 		break;
 	    }
 	    break;
Index: test/gdc.c
Prereq:  1.40 
--- ncurses-5.9-20140726+/test/gdc.c	2014-02-15 17:34:36.000000000 +0000
+++ ncurses-5.9-20140802/test/gdc.c	2014-08-02 16:36:20.000000000 +0000
@@ -33,7 +33,7 @@
  * modified 10-18-89 for curses (jrl)
  * 10-18-89 added signal handling
  *
- * $Id: gdc.c,v 1.40 2014/02/15 17:34:36 tom Exp $
+ * $Id: gdc.c,v 1.41 2014/08/02 16:36:20 tom Exp $
  */
 
 #include <test.priv.h>
@@ -89,7 +89,7 @@
     int n;
 
     if (hascolor)
-	(void) attrset((attr_t) COLOR_PAIR(PAIR_FRAMES));
+	(void) attrset(AttrArg(COLOR_PAIR(PAIR_FRAMES), 0));
 
     MvAddCh(YBASE - 1, XBASE - 1, ACS_ULCORNER);
     hline(ACS_HLINE, XLENGTH);
@@ -113,7 +113,7 @@
     vline(ACS_VLINE, YDEPTH);
 
     if (hascolor)
-	(void) attrset((attr_t) COLOR_PAIR(PAIR_OTHERS));
+	(void) attrset(AttrArg(COLOR_PAIR(PAIR_OTHERS), 0));
 }
 
 static void
@@ -274,7 +274,7 @@
 	init_pair(PAIR_DIGITS, COLOR_BLACK, COLOR_RED);
 	init_pair(PAIR_OTHERS, COLOR_RED, bg);
 	init_pair(PAIR_FRAMES, COLOR_WHITE, bg);
-	(void) attrset((attr_t) COLOR_PAIR(PAIR_OTHERS));
+	(void) attrset(AttrArg(COLOR_PAIR(PAIR_OTHERS), 0));
     }
 
   restart:
Index: test/hanoi.c
Prereq:  1.35 
--- ncurses-5.9-20140726+/test/hanoi.c	2013-09-28 22:02:17.000000000 +0000
+++ ncurses-5.9-20140802/test/hanoi.c	2014-08-02 17:24:07.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2012,2013 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2013,2014 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -41,7 +41,7 @@
  *
  *	Date: 05.Nov.90
  *
- * $Id: hanoi.c,v 1.35 2013/09/28 22:02:17 tom Exp $
+ * $Id: hanoi.c,v 1.36 2014/08/02 17:24:07 tom Exp $
  */
 
 #include <test.priv.h>
@@ -254,7 +254,7 @@
 		memset(TileBuf, ' ', len);
 		TileBuf[len] = '\0';
 		if (has_colors())
-		    (void) attrset((attr_t) COLOR_PAIR(LENTOIND(len)));
+		    (void) attrset(AttrArg(COLOR_PAIR(LENTOIND(len)), 0));
 		else
 		    (void) attrset(A_REVERSE);
 		MvAddStr(BASELINE - (SlotNo + 1),
Index: test/ins_wide.c
Prereq:  1.20 
--- ncurses-5.9-20140726+/test/ins_wide.c	2012-12-16 00:51:02.000000000 +0000
+++ ncurses-5.9-20140802/test/ins_wide.c	2014-08-02 17:24:55.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 2002-2010,2012 Free Software Foundation, Inc.              *
+ * Copyright (c) 2002-2012,2014 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -26,7 +26,7 @@
  * authorization.                                                           *
  ****************************************************************************/
 /*
- * $Id: ins_wide.c,v 1.20 2012/12/16 00:51:02 tom Exp $
+ * $Id: ins_wide.c,v 1.21 2014/08/02 17:24:55 tom Exp $
  *
  * Demonstrate the wins_wstr() and wins_wch functions.
  * Thomas Dickey - 2002/11/23
@@ -132,7 +132,7 @@
 	    result += 2;
 	    break;
 	default:
-	    result += wcwidth(ch);
+	    result += wcwidth((wchar_t) ch);
 	    if (ch < 32)
 		++result;
 	    break;
@@ -390,7 +390,7 @@
 	    }
 	    break;
 	default:
-	    buffer[length++] = ch;
+	    buffer[length++] = (wchar_t) ch;
 	    buffer[length] = '\0';
 
 	    /* put the string in, one character at a time */
Index: test/insdelln.c
Prereq:  1.7 
--- ncurses-5.9-20140726+/test/insdelln.c	2012-11-18 00:37:58.000000000 +0000
+++ ncurses-5.9-20140802/test/insdelln.c	2014-08-02 23:09:32.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 2008-2010,2012 Free Software Foundation, Inc.              *
+ * Copyright (c) 2008-2012,2014 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -26,7 +26,7 @@
  * authorization.                                                           *
  ****************************************************************************/
 /*
- * $Id: insdelln.c,v 1.7 2012/11/18 00:37:58 tom Exp $
+ * $Id: insdelln.c,v 1.9 2014/08/02 23:09:32 tom Exp $
  *
  * test-driver for deleteln, wdeleteln, insdelln, winsdelln, insertln, winsertln
  */
@@ -302,7 +302,7 @@
     init_status(win, &st);
 
     do {
-	(void) wattrset(win, (int) (st.attr | (attr_t) COLOR_PAIR(st.pair)));
+	(void) wattrset(win, AttrArg(COLOR_PAIR(st.pair), st.attr));
 	switch (st.ch) {
 	case 'i':
 	    for (n = 0; n < st.count; ++n)
@@ -343,7 +343,7 @@
     init_status(stdscr, &st);
 
     do {
-	(void) attrset(st.attr | (attr_t) COLOR_PAIR(st.pair));
+	(void) attrset(AttrArg(COLOR_PAIR(st.pair), st.attr));
 	switch (st.ch) {
 	case 'i':
 	    for (n = 0; n < st.count; ++n)
Index: test/key_names.c
Prereq:  1.4 
--- ncurses-5.9-20140726+/test/key_names.c	2008-10-11 20:22:37.000000000 +0000
+++ ncurses-5.9-20140802/test/key_names.c	2014-08-02 17:24:55.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 2007,2008 Free Software Foundation, Inc.                   *
+ * Copyright (c) 2007-2008,2014 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -26,7 +26,7 @@
  * authorization.                                                           *
  ****************************************************************************/
 /*
- * $Id: key_names.c,v 1.4 2008/10/11 20:22:37 tom Exp $
+ * $Id: key_names.c,v 1.5 2014/08/02 17:24:55 tom Exp $
  */
 
 #include <test.priv.h>
@@ -77,7 +77,7 @@
 	endwin();
     }
     for (n = -1; n < KEY_MAX + 512; n++) {
-	const char *result = key_name(n);
+	const char *result = key_name((wchar_t) n);
 	if (result != 0)
 	    printf("%d(%5o):%s\n", n, n, result);
     }
Index: test/ncurses.c
Prereq:  1.412 
--- ncurses-5.9-20140726+/test/ncurses.c	2014-07-27 00:24:00.000000000 +0000
+++ ncurses-5.9-20140802/test/ncurses.c	2014-08-02 23:10:26.000000000 +0000
@@ -40,7 +40,7 @@
    Author: Eric S. Raymond <esr@snark.thyrsus.com> 1993
            Thomas E. Dickey (beginning revision 1.27 in 1996).
 
-$Id: ncurses.c,v 1.412 2014/07/27 00:24:00 tom Exp $
+$Id: ncurses.c,v 1.414 2014/08/02 23:10:26 tom Exp $
 
 ***************************************************************************/
 
@@ -305,7 +305,7 @@
 static wchar_t
 fullwidth_digit(int ch)
 {
-    return (ch + 0xff10 - '0');
+    return (wchar_t) (ch + 0xff10 - '0');
 }
 
 static void
@@ -323,7 +323,7 @@
 {
     int ch;
     while ((ch = *source++) != 0) {
-	*target++ = ch;
+	*target++ = (wchar_t) ch;
     }
     *target = 0;
 }
@@ -1436,7 +1436,7 @@
 	    (void) waddch(win, ch | attr);
 	}
     } else {
-	(void) wattrset(win, (int) attr);
+	(void) wattrset(win, AttrArg(attr, 0));
 	(void) waddstr(win, attr_test_string);
 	(void) wattroff(win, (int) attr);
     }
@@ -1685,9 +1685,9 @@
 #define FULL_HI 0xff5e
 #define HALF_LO 0x20
 
-#define isFullWidth(ch)   ((ch) >= FULL_LO && (ch) <= FULL_HI)
-#define ToNormalWidth(ch) (((ch) - FULL_LO) + HALF_LO)
-#define ToFullWidth(ch)   (((ch) - HALF_LO) + FULL_LO)
+#define isFullWidth(ch)   ((int)(ch) >= FULL_LO && (int)(ch) <= FULL_HI)
+#define ToNormalWidth(ch) (wchar_t) (((int)(ch) - FULL_LO) + HALF_LO)
+#define ToFullWidth(ch)   (wchar_t) (((int)(ch) - HALF_LO) + FULL_LO)
 
 /*
  * Returns an ASCII code in [32..126]
@@ -1695,7 +1695,7 @@
 static wchar_t
 normal_wchar(int ch)
 {
-    wchar_t result = ch;
+    wchar_t result = (wchar_t) ch;
     if (isFullWidth(ch))
 	result = ToNormalWidth(ch);
     return result;
@@ -1708,7 +1708,7 @@
 static wchar_t
 target_wchar(int ch)
 {
-    wchar_t result = ch;
+    wchar_t result = (wchar_t) ch;
     if (use_fullwidth) {
 	if (!isFullWidth(ch))
 	    result = ToFullWidth(ch);
@@ -1752,7 +1752,7 @@
 wide_init_attr_string(void)
 {
     use_fullwidth = FALSE;
-    wide_attr_test_string[0] = default_attr_string();
+    wide_attr_test_string[0] = (wchar_t) default_attr_string();
     wide_adjust_attr_string(0);
 }
 
@@ -2651,7 +2651,7 @@
 		     (i == current ? '>' : ' '),
 		     (i < (int) SIZEOF(the_color_names)
 		      ? the_color_names[i] : numeric));
-	    (void) attrset((attr_t) COLOR_PAIR(i));
+	    (void) attrset(AttrArg(COLOR_PAIR(i), 0));
 	    addstr("        ");
 	    (void) attrset(A_NORMAL);
 
@@ -3609,7 +3609,7 @@
     MvPrintw(0, 20, "Display of Character Codes %#x to %#x", first, last);
     attroff(A_BOLD);
 
-    for (code = first; (int) code <= last; code++) {
+    for (code = (wchar_t) first; (int) code <= last; code++) {
 	int row = (2 + ((int) code - first) / per_line);
 	int col = 5 * ((int) code % per_line);
 	int count;
@@ -3642,7 +3642,7 @@
     MvPrintw(0, 20, "Display of Character Codes %d to %d", first, last);
     attroff(A_BOLD);
 
-    for (code = first; (int) code <= last; code++) {
+    for (code = (wchar_t) first; (int) code <= last; code++) {
 	int row = 2 + ((code - first) % 16);
 	int col = ((code - first) / 16) * COLS / 2;
 	wchar_t codes[10];
@@ -6407,11 +6407,11 @@
 	break;
     case 2:
 	init_pair(cpair, COLOR_BLUE, COLOR_WHITE);
-	(void) wattrset(win, (int) ((chtype) COLOR_PAIR(cpair) | A_NORMAL));
+	(void) wattrset(win, AttrArg(COLOR_PAIR(cpair), A_NORMAL));
 	break;
     case 3:
 	init_pair(cpair, COLOR_WHITE, COLOR_BLUE);
-	(void) wattrset(win, (int) ((chtype) COLOR_PAIR(cpair) | A_BOLD));
+	(void) wattrset(win, AttrArg(COLOR_PAIR(cpair), A_BOLD));
 	break;
     }
 }
Index: test/newdemo.c
Prereq:  1.40 
--- ncurses-5.9-20140726+/test/newdemo.c	2013-04-27 19:46:53.000000000 +0000
+++ ncurses-5.9-20140802/test/newdemo.c	2014-08-02 23:10:56.000000000 +0000
@@ -2,7 +2,7 @@
  *  newdemo.c	-	A demo program using PDCurses. The program illustrate
  *  	 		the use of colours for text output.
  *
- * $Id: newdemo.c,v 1.40 2013/04/27 19:46:53 tom Exp $
+ * $Id: newdemo.c,v 1.41 2014/08/02 23:10:56 tom Exp $
  */
 
 #include <test.priv.h>
@@ -84,7 +84,7 @@
 	if (pair > COLOR_PAIRS)
 	    pair = COLOR_PAIRS;
 	init_pair((short) pair, (short) foreground, (short) background);
-	(void) wattrset(win, (int) COLOR_PAIR(pair));
+	(void) wattrset(win, AttrArg(COLOR_PAIR(pair), 0));
     }
 }
 
@@ -96,7 +96,7 @@
 	    pair = COLOR_PAIRS;
 	attrs |= (chtype) COLOR_PAIR(pair);
     }
-    (void) wattrset(win, (int) attrs);
+    (void) wattrset(win, AttrArg(attrs, 0));
     return attrs;
 }
 
Index: test/rain.c
Prereq:  1.40 
--- ncurses-5.9-20140726+/test/rain.c	2012-01-21 23:54:47.000000000 +0000
+++ ncurses-5.9-20140802/test/rain.c	2014-08-02 17:24:07.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2011,2012 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2012,2014 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -26,7 +26,7 @@
  * authorization.                                                           *
  ****************************************************************************/
 /*
- * $Id: rain.c,v 1.40 2012/01/21 23:54:47 tom Exp $
+ * $Id: rain.c,v 1.41 2014/08/02 17:24:07 tom Exp $
  */
 #include <test.priv.h>
 
@@ -102,10 +102,7 @@
 	--j;
     if (has_colors()) {
 	int z = (int) (3 * ranf());
-	chtype color = (chtype) COLOR_PAIR(z);
-	if (z)
-	    color |= A_BOLD;
-	(void) attrset(color);
+	(void) attrset(AttrArg(COLOR_PAIR(z), (z ? A_BOLD : A_NORMAL)));
     }
     return j;
 }
Index: test/tclock.c
Prereq:  1.33 
--- ncurses-5.9-20140726+/test/tclock.c	2013-09-28 21:52:34.000000000 +0000
+++ ncurses-5.9-20140802/test/tclock.c	2014-08-02 16:37:03.000000000 +0000
@@ -1,4 +1,4 @@
-/* $Id: tclock.c,v 1.33 2013/09/28 21:52:34 tom Exp $ */
+/* $Id: tclock.c,v 1.34 2014/08/02 16:37:03 tom Exp $ */
 
 #include <test.priv.h>
 
@@ -69,7 +69,7 @@
     int d;
 
     if (has_colors())
-	(void) attrset((attr_t) COLOR_PAIR(pair));
+	(void) attrset(AttrArg(COLOR_PAIR(pair), 0));
 
     dx = x2 - from_x;
     dy = y2 - from_y;
@@ -216,12 +216,12 @@
 	attroff(A_REVERSE);
 
 	if (has_colors())
-	    (void) attrset((attr_t) COLOR_PAIR(1));
+	    (void) attrset(AttrArg(COLOR_PAIR(1), 0));
 
 	dline(1, cx, cy, cx + sdx, cy - sdy, 'O');
 
 	if (has_colors())
-	    (void) attrset((attr_t) COLOR_PAIR(0));
+	    (void) attrset(AttrArg(COLOR_PAIR(0), 0));
 
 	text = ctime(&tim);
 	MvPrintw(2, 0, "%.*s", (int) (strlen(text) - 1), text);
Index: test/test.priv.h
Prereq:  1.125 
--- ncurses-5.9-20140726+/test/test.priv.h	2014-07-19 23:06:27.000000000 +0000
+++ ncurses-5.9-20140802/test/test.priv.h	2014-08-02 23:40:53.000000000 +0000
@@ -29,7 +29,7 @@
 /****************************************************************************
  *  Author: Thomas E. Dickey                    1996-on                     *
  ****************************************************************************/
-/* $Id: test.priv.h,v 1.125 2014/07/19 23:06:27 tom Exp $ */
+/* $Id: test.priv.h,v 1.128 2014/08/02 23:40:53 tom Exp $ */
 
 #ifndef __TEST_PRIV_H
 #define __TEST_PRIV_H 1
@@ -848,6 +848,15 @@
 #define MvWVLine        (void) mvwvline
 
 /*
+ * The macro likely uses unsigned values, while X/Open prototype uses int.
+ */
+#if defined(wattrset) || defined(PDCURSES)
+#define AttrArg(p,a)    (attr_t) ((attr_t)(p) | (attr_t)(a))
+#else
+#define AttrArg(p,a)    (int) ((attr_t)(p) | (attr_t)(a))
+#endif
+
+/*
  * Workaround for defective implementation of gcc attribute warn_unused_result
  */
 #if defined(__GNUC__) && defined(_FORTIFY_SOURCE)
Index: test/test_add_wchstr.c
Prereq:  1.20 
--- ncurses-5.9-20140726+/test/test_add_wchstr.c	2012-12-16 00:12:04.000000000 +0000
+++ ncurses-5.9-20140802/test/test_add_wchstr.c	2014-08-02 17:24:55.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 2010-2011,2012 Free Software Foundation, Inc.                   *
+ * Copyright (c) 2010-2012,2014 Free Software Foundation, Inc.                   *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -26,7 +26,7 @@
  * authorization.                                                           *
  ****************************************************************************/
 /*
- * $Id: test_add_wchstr.c,v 1.20 2012/12/16 00:12:04 tom Exp $
+ * $Id: test_add_wchstr.c,v 1.21 2014/08/02 17:24:55 tom Exp $
  *
  * Demonstrate the waddwchstr() and wadd_wch functions.
  * Thomas Dickey - 2009/9/12
@@ -103,7 +103,7 @@
 	     && (temp = unctrl((chtype) have[0])) != 0 \
 	     && strlen(temp) > 1) { \
 		while (*temp != '\0') { \
-		    have[0] = *temp++; \
+		    have[0] = (wchar_t) *temp++; \
 		    setcchar(&temp_buffer[n++], have, A_NORMAL, 0, NULL); \
 		} \
 	    } else { \
@@ -210,7 +210,7 @@
 	    result += 2;
 	    break;
 	default:
-	    result += wcwidth(ch);
+	    result += wcwidth((wchar_t) ch);
 	    if (ch < 32)
 		++result;
 	    break;
@@ -468,7 +468,7 @@
 	    }
 	    break;
 	default:
-	    buffer[length++] = ch;
+	    buffer[length++] = (wchar_t) ch;
 	    buffer[length] = '\0';
 
 	    /* put the string in, one character at a time */
Index: test/test_addwstr.c
Prereq:  1.11 
--- ncurses-5.9-20140726+/test/test_addwstr.c	2012-12-16 00:11:18.000000000 +0000
+++ ncurses-5.9-20140802/test/test_addwstr.c	2014-08-02 17:24:55.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 2009-2010,2012 Free Software Foundation, Inc.              *
+ * Copyright (c) 2009-2012,2014 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -26,7 +26,7 @@
  * authorization.                                                           *
  ****************************************************************************/
 /*
- * $Id: test_addwstr.c,v 1.11 2012/12/16 00:11:18 tom Exp $
+ * $Id: test_addwstr.c,v 1.12 2014/08/02 17:24:55 tom Exp $
  *
  * Demonstrate the waddwstr() and wadd_wch functions.
  * Thomas Dickey - 2009/9/12
@@ -137,7 +137,7 @@
 	    result += 2;
 	    break;
 	default:
-	    result += wcwidth(ch);
+	    result += wcwidth((wchar_t) ch);
 	    if (ch < 32)
 		++result;
 	    break;
@@ -398,7 +398,7 @@
 	    ch = '\b';
 	    /* FALLTHRU */
 	default:
-	    buffer[length++] = ch;
+	    buffer[length++] = (wchar_t) ch;
 	    buffer[length] = '\0';
 
 	    /* put the string in, one character at a time */
Index: test/testaddch.c
Prereq:  1.10 
--- ncurses-5.9-20140726+/test/testaddch.c	2014-07-27 00:24:49.000000000 +0000
+++ ncurses-5.9-20140802/test/testaddch.c	2014-08-02 23:11:20.000000000 +0000
@@ -29,7 +29,7 @@
  * This is an example written by Alexander V. Lukyanov <lav@yars.free.net>,
  * to demonstrate an inconsistency between ncurses and SVr4 curses.
  *
- * $Id: testaddch.c,v 1.10 2014/07/27 00:24:49 tom Exp $
+ * $Id: testaddch.c,v 1.12 2014/08/02 23:11:20 tom Exp $
  */
 #include <test.priv.h>
 
@@ -66,7 +66,7 @@
 	attr = (chtype) ((i & 4) ? COLOR_PAIR(4) : 0);
 
 	bkgdset(back);
-	(void) attrset(set);
+	(void) attrset(AttrArg(set, 0));
 
 	attr_addstr("Test string with spaces ->   <-\n", attr);
     }
@@ -77,7 +77,7 @@
 	attr = (chtype) ((i & 4) ? (chtype) COLOR_PAIR(4) : 0);
 
 	bkgdset(back);
-	(void) attrset(set);
+	(void) attrset(AttrArg(set, 0));
 
 	attr_addstr("Test string with spaces ->   <-\n", attr);
     }
